rustc (1.71.1+dfsg0ubuntu1-0ubuntu2deepin1) mantic; urgency=medium

  * set profiler = false to debian/config.toml (update debian/rules line 208)

 -- bluesky <chenchongbiao@deepin.org>  Wed, 10 Jan 2024 11:42:24 +0800

rustc (1.71.1+dfsg0ubuntu1-0ubuntu2) mantic; urgency=medium

  * d/control: Fix an issue where the build dependency incorrectly specified
    the upper bound of rustc to <= 1.71.0 instead of 1.71.1 (LP: #2031545)

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 14 Aug 2023 12:03:34 +0800

rustc (1.71.1+dfsg0ubuntu1-0ubuntu1) mantic; urgency=medium

  * New upstream release 1.71.1 (LP: #2027942)
    - d/patches: Refresh patches
    - Upstream fixed CVE-2023-38497 and updated tar library
    - d/copyright: Update copyright information for upstream patched crates
  * d/p/u-reproducible-dl-stage0.patch,
    d/p/ubuntu-fix-sysroot-detection.patch,
    d/p/d-rustc-fix-mips64el-bootstrap.patch,
    d/p/d-bootstrap-read-beta-version-from-file.patch: Removed patches that
    were merged by the upstream
  * d/rules: Remove the src/tools/cargo/Cargo.lock file prior to the build, so
    that we can re-use the dependencies as many as possible
  * d/prune-unused-deps: Do the re-locking process for Cargo, since Cargo now
    also has its own workspace, it does not share the lock file with rustc
    starting in Rust 1.71
  * d/not-installed: Ignore backup files
  * d/cargo.bash-completion, d/not-installed: Fix the installation path for
    bash-completion files, the path has changed since Rust 1.71

 -- Zixing Liu <zixing.liu@canonical.com>  Sun, 06 Aug 2023 21:17:45 -0600

rustc (1.70.0+dfsg0ubuntu1-0ubuntu1) mantic; urgency=medium

  * New upstream release 1.70.0 (LP: #2027639)
    - d/patches: Refresh patches
    - Upgraded LLVM to 16
  * d/patches/d-0000-ignore-removed-submodules.patch: Remove newly added Miri
    parts
  * d/patches/ubuntu-downgrade-libgit2-to-1.5.patch: Downgrade libgit2
    requirements to 1.5, since we don't have 1.6 in stable yet
  * d/patches/d-0002-mdbook-strip-embedded-libs.patch: Remove newly added
    mdbook bundled resources
  * d/patches/ubuntu-use-system-compiler-during-tests.patch: Avoid the need of
    downloaded rustc binaries during the bootstrapping tests
  * d/rust-src.install: Fix the config.example.toml installation, because the
    file name changed in Rust 1.70
  * d/patches/ubuntu-disable-fpmath-tests-for-i386.patch: Disable a test for
    testing machine epsilon, which x87 math is too inaccurate to pass the test
  * d/source/lintian-overrides: update overriden paths for doc-tests

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 13 Jul 2023 17:07:11 +0800

rustc (1.69.0+dfsg0ubuntu1-0ubuntu1) mantic; urgency=medium

  * New upstream release 1.69.0 (LP: #2025691)
    - d/patches: Refresh patches
  * d/tests: Add a new smoke test for Cargo (originally from Nick Rosbrook)
    - d/tests/control: Removed architecture restriction from the original test

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 13 Jul 2023 15:13:25 +0800

rustc (1.68.2+dfsg0ubuntu1-0ubuntu3) mantic; urgency=medium

  * d/tests: Fix Cargo self-build test
  * d/tests: Add a new Cargo smoke test from Nick Rosbrook
  * d/control: tightened Cargo package version requirement of the rust-all
    package

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 13 Jul 2023 11:21:39 +0800

rustc (1.68.2+dfsg0ubuntu1-0ubuntu1) mantic; urgency=medium

  * New upstream release 1.68.2 (LP: #2025179)
    - Updated bundled GitHub RSA key and revoked the compromised key
  * d/control: Lock the Cargo package version requirement to the rustc version
  * d/tests: Add the previous Cargo smoke tests back

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 20 Jun 2023 16:17:01 -0600

rustc (1.68.0+dfsg0ubuntu1-0ubuntu1) mantic; urgency=medium

  * New upstream release 1.68.0 (LP: #2009920)
    - d/copyright: Update copyright information for new dependencies
      and also remove copyright data for deleted dependencies
    - d/patches: Refresh patches
    - d/control: Update vendored deps field
    - d/control: Refresh vendored dependencies list
  * d/p/ubuntu-rustdoc-replace-cargo-links.patch: Replace Cargo related
    links with external web links instead of the local links to avoid
    link-checker errors (because we package Cargo separately)
  * Merge Cargo source package into Rust (LP: #2020000)
    - d/*: copies Cargo Debian manifests into Rust
    - cargo: add Cargo sources to the source tree
    - d/patches: adapt Cargo-specific patches to the new source tree
      structure
    - d/patches, vendor: remove vendored C sources and prebuilt blobs
    - vendor: vendor Cargo-specific dependencies
    - d/control: update vendored dependency list
    - d/rules: revise openssl source check
    - d/cargo.*: install Cargo-specific files
    - d/config: enable Cargo module in the rustbuild configuration
    - d/patches: remove non-Linux platform modules
    - d/rules: use system libssh2 for Cargo
    - d/patches: restore the usage of rustc-workspace-hack to
      reduce the build time and avoid crates feature resolution failure
    - d/patches: remove patches that patch out Cargo from the docs
    - d/rules, d/cargo.*: build and install Cargo API docs
    - d/control, d/rules: install Cargo bash completions
    - d/copyright: update copyright information
    - d/control: make cargo-doc recommends rust-doc

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 17 May 2023 14:15:17 -0700

rustc (1.67.1+dfsg0ubuntu1-0ubuntu3) lunar; urgency=medium

  * d/p/ubuntu-fix-sysroot-detection.patch: use upstream patch
    for better maintainability

 -- Zixing Liu <zixing.liu@canonical.com>  Fri, 03 Mar 2023 18:16:52 -0700

rustc (1.67.1+dfsg0ubuntu1-0ubuntu2) lunar; urgency=medium

  * Fix an issue where rustc can not find the standard library
    - d/p/ubuntu-fix-sysroot-detection.patch: Fix sysroot detection
      logic so that rustc will find the correct library paths to
      search in.

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 22 Feb 2023 21:38:58 -0700

rustc (1.67.1+dfsg0ubuntu1-0ubuntu1) lunar; urgency=medium

  * New upstream release 1.67.1 (LP: #2007642)
    - d/p/d-bootstrap-use-local-css.patch: Remove unnecessary hunks
    - d/p/ubuntu-disable-sse2-tests-on-i386.patch: Disable SSE2 tests
      on i386 builds
    - d/copyright: Update copyright information for new dependencies
      and also remove copyright data for deleted dependencies
    - d/patches: Refresh patches
    - d/control: Update vendored deps field
    - d/control: Refresh vendored dependencies list
    - d/source/lintian-overrides: add new test files to the list

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 14 Feb 2023 14:34:02 -0700

rustc (1.66.1+dfsg0ubuntu1-0ubuntu1) lunar; urgency=medium

  * New upstream release 1.66.1 (LP: #2005122)
    - d/control: Switch to LLVM 15 for better optimizations
    - d/rules: Add workarounds for the new bootstrap tests
    - d/patches: Refresh patches to adapt to the new upstream changes
    - d/p/ubuntu-Revert-Use-constant-eval-to-do-strict-validity-check.patch:
      Dropped, no longer needed
    - d/copyright: refresh vendored crate license info
    - d/libstd-rust-1.66.lintian-overrides: update the override files
  * d/rules: Enable LLVM profiler support (LP: #2002694)

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 01 Feb 2023 15:00:02 -0700

rustc (1.65.0+dfsg0ubuntu1-0ubuntu1) lunar; urgency=medium

  [ Simon Chopin ]
  * New upstream release (LP: #2000839)
  * d/p/u-arm-compiler-builtins-add-sync-builtin-fallbacks.patch:
    Dropped, applied upstream
  * Update vendored deps field

  [ Fabian Grünbichler ]
  * add overrides for rust-analyzer test data
  * update d/copyright
  * cherry-pick fix for compiletest with rpath=false
  * Update Files-Excluded for new upstream version 1.65.0
  * Update early-stage patches for 1.65.0+dfsg1


 -- Simon Chopin <schopin@ubuntu.com>  Fri, 20 Jan 2023 10:43:28 +0100

rustc (1.64.0+dfsg1-1~exp2ubuntu2) lunar; urgency=medium

  * d/p/ubuntu-Revert-Use-constant-eval-to-do-strict-validity-check.patch:
    revert an upstream patch to work around a riscv64 miscompilation

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 18 Jan 2023 17:39:14 +0100

rustc (1.64.0+dfsg1-1~exp2ubuntu1) lunar; urgency=medium

  * Merge from Debian experimental.
    Remaining changes:
    - Downgrade cargo from rustc Recommends to Suggests to make rustc promotable to
      main.
    - d/control: Add fonts-nanum to the rust-doc deps
    - d/control: Add the rust-doc deps as build-deps for the linkchecker tests
    - Reduce parallelism on all arches other than riscv64 to avoid OOMs
      during build.
    - Explicitly disable LTO
    - Add a self-build autopkgtest
    - Ship the Cargo.lock file along with the compiler to identify which crates
      were bundled in.
    - On i386, only build debuginfo for libstd
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
    - Drop llvm-14 to Suggests for rustc to avoid having to promote it to Ubuntu
      main
    - Add XS-Vendored-Sources-Rust field support
      Needed an extra patch due to rustc being a multi-crate source package.
  * d/control: Update the vendored sources field

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 18 Jan 2023 10:38:19 +0100

rustc (1.64.0+dfsg1-1~exp2) experimental; urgency=medium

  [ Fabian Grünbichler ]
  * d/prune-unused-deps: unify cargo update calls
  * fix rustix on arches requiring outline building
  * fix libstd-rust-dev-windows lintian override
  * fix compiler_builtins linkage on arm(el)
  * add compiler_builtins sync fallbacks for arm(el)
  * fix panicking lldb check on armel

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Wed, 11 Jan 2023 17:22:16 +0100

rustc (1.64.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release
  * d/rules: auto_clean: preserve .cargo/config.toml
  * d/rules: also clear bootstrap/rust-analyzer Cargo.lock
  * d/rules: extend privacy-breach removal
  * ship rust-analyzer-proc-macro-srv binary

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Thu, 08 Dec 2022 09:17:59 +0100

rustc (1.63.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable (Closes: #1018859)

  [ Pietro Albini ]
  * clarify the licensing of the mpsc implementation

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Wed, 07 Dec 2022 17:29:00 +0100

rustc (1.63.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Tue, 15 Nov 2022 19:47:53 +0100

rustc (1.63.0+dfsg0ubuntu1-0ubuntu2) lunar; urgency=medium

  * d/control: fix wrong dependencies on previous release

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 01 Dec 2022 16:58:41 +0100

rustc (1.63.0+dfsg0ubuntu1-0ubuntu1) lunar; urgency=medium

  * New upstream release (LP: #1995096)
  * d/copyright: updated (cherry-picked from Debian experimental)

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 30 Nov 2022 18:17:29 +0100

rustc (1.62.1+dfsg1-1ubuntu1) lunar; urgency=medium

  * Merge 1.62.0+dfsg1-1 from Debian unstable
    Remaining changes:
    - Downgrade cargo from rustc Recommends to Suggests to make rustc promotable to
      main.
    - d/control: Add fonts-nanum to the rust-doc deps
    - d/control: Add the rust-doc deps as build-deps for the linkchecker tests
    - Reduce parallelism on all arches other than riscv64 to avoid OOMs
      during build.
    - Explicitly disable LTO
    - Add a self-build autopkgtest
    - Ship the Cargo.lock file along with the compiler to identify which crates
      were bundled in.
    - d/p/ubuntu-fix-crossbeam-CVE-2022-23639.patch: cherry-pick to fix CVE-2022-23639
      amended to also patch the 0.7.2 version of the crate
    - On i386, only build debuginfo for libstd
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
    - Drop llvm-13 to Suggests for rustc to avoid having to promote it to Ubuntu
      main
    - Add XS-Vendored-Sources-Rust field support
      Needed an extra patch due to rustc being a multi-crate source package.
    Integrated in Debian:
    - d/p/ubuntu-disable-ppc64el-asm-tests.patch: disable tests on power
      and s390x if using asm!()
    - d/p/ubuntu-ignore-arm-doctest.patch: Patch out the bad doctests for the
      instruction_set errors
    Dropped, not needed anymore:
    - d/p/ubuntu-compiletest-fix.patch: Fix compilation with 1.61
  * d/control: Update the vendored sources field

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 24 Nov 2022 09:58:29 +0100

rustc (1.62.1+dfsg1-1) unstable; urgency=medium

  * Upload to unstable
  * Fix armhf build

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Mon, 31 Oct 2022 14:19:34 +0100

rustc (1.62.1+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Fri, 28 Oct 2022 11:35:48 +0200

rustc (1.61.0+dfsg1-2) unstable; urgency=medium

  [ Ximin Luo]
  * Improve cross-building documentation

  [ Adrian Bunk ]
  * Disable kernel_user_helpers on armel (duplicate symbols)
  * Increase allowed failures on armel/mips64el/ppc64 (Closes: #1020860)

  [ Fabian Grünbichler ]
  * cherry-pick patches from Ubuntu
  * fix rebuild of 1.61 with 1.61

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Mon, 10 Oct 2022 20:19:05 +0200

rustc (1.61.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable (Closes: #1020394)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 22 Sep 2022 09:00:21 +0200

rustc (1.61.0+dfsg1-1~exp1ubuntu1) kinetic; urgency=medium

  * Merge 1.61.0+dfsg1-1~exp1 from Debian unstable (LP: #1986648)
    Remaining changes:
    - Downgrade cargo from rustc Recommends to Suggests to make rustc promotable to
      main. (LP: #1966200)
    - d/control: Add fonts-nanum to the rust-doc deps
    - d/control: Add the rust-doc deps as build-deps for the linkchecker tests
    - Reduce parallelism on all arches other than riscv64 to avoid OOMs
      during build.
    - Explicitly disable LTO
    - Add a self-build autopkgtest
    - Ship the Cargo.lock file along with the compiler to identify which crates
      were bundled in.
    - d/p/ubuntu-ignore-arm-doctest.patch: Patch out the bad doctests for the
      instruction_set errors
    - d/p/ubuntu-fix-crossbeam-CVE-2022-23639.patch: cherry-pick to fix CVE-2022-23639
      amended to also patch the 0.7.2 version of the crate
    - On i386, only build debuginfo for libstd
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
    - Drop llvm-13 to Suggests for rustc to avoid having to promote it to Ubuntu
      main
    - Add XS-Vendored-Sources-Rust field support
      Needed an extra patch due to rustc being a multi-crate source package.
    - d/p/ubuntu-disable-ppc64el-asm-tests.patch: disable tests on power
      and s390x if using asm!()
  * d/control: Update the vendored sources field
  * d/p/ubuntu-compiletest-fix.patch: Fix compilation with 1.61

 -- Simon Chopin <schopin@ubuntu.com>  Mon, 19 Sep 2022 18:41:53 +0200

rustc (1.61.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release

  * Switch to LLVM-14 (Closes: #1017656)

 -- Fabian Gruenbichler <f.gruenbichler@proxmox.com>  Wed, 07 Sep 2022 17:33:04 +0200

rustc (1.60.0+dfsg1-1+ubuntu1) kinetic; urgency=medium

  * Merge 1.60.0+dfsg1-1+ubuntu1 from Debian unstable (LP: #1986648)
    Remaining changes:
    - Downgrade cargo from rustc Recommends to Suggests to make rustc promotable
      to main. (LP: #1966200)
    - d/control: Add fonts-nanum to the rust-doc deps
    - d/control: Add the rust-doc deps as build-deps for the linkchecker tests
    - Reduce parallelism on all arches other than riscv64 to avoid OOMs
      during build.
    - Explicitly disable LTO
    - Add a self-build autopkgtest
    - Ship the Cargo.lock file along with the compiler to identify which crates
      were bundled in.
    - d/p/ubuntu-ignore-arm-doctest.patch: Patch out the bad doctests for the
      instruction_set errors
    - d/p/ubuntu-fix-crossbeam-CVE-2022-23639.patch: cherry-pick to fix
      CVE-2022-23639 amended to also patch the 0.7.2 version of the crate
    - On i386, only build debuginfo for libstd
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
    - Drop llvm-13 to Suggests for rustc to avoid having to promote it to Ubuntu
      main
    - Add XS-Vendored-Sources-Rust field support
      Needed an extra patch due to rustc being a multi-crate source package.
  * Dropped changes:
    - d/p/ubuntu-disable-armhf-debuginfo-failures.patch: temporary to work
      around the armhf debuginfo test failures
      -> Now filtered out at the result analysis level in d/rules
    - New patch u-linkchecker-symlinks.patch to fix an issue in
      the linkchecker triggered by our symlink to the system fonts dir
      -> Merged upstream
  * d/control: Update the vendored sources field
  * d/p/ubuntu-disable-ppc64el-asm-tests.patch: disable tests on power
    and s390x if using asm!()

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 06 Sep 2022 14:48:43 +0200

rustc (1.60.0+dfsg1-1) unstable; urgency=medium

  * Ignore more test failures on mips64el for lack of inline assembly support.

  * Add i386 and x32 to list of "low-memory" architectures requiring build
    workarounds.

 -- Fabian Gruenbichler <f.gruenbichler@proxmox.com>  Mon, 5 Sep 2022 10:03:18 +0200

rustc (1.60.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Fabian Gruenbichler <f.gruenbichler@proxmox.com>  Thu, 14 Jul 2022 13:08:16 +0200

rustc (1.59.0+dfsg1-2) unstable; urgency=medium

  * Backport a patch for riscv64.
  * Ignore some test failures on armhf due to regression in GDB 11.2.

 -- Ximin Luo <infinity0@debian.org>  Tue, 21 Jun 2022 11:06:16 +0100

rustc (1.59.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Wed, 11 May 2022 14:11:46 +0100

rustc (1.59.0+dfsg1-1~ubuntu3) kinetic; urgency=medium

  * Add XS-Vendored-Sources-Rust field support (LP: #1987674)
    Needed an extra patch due to rustc being a multi-crate source package.

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 25 Aug 2022 19:01:32 +0200

rustc (1.59.0+dfsg1-1~ubuntu2) kinetic; urgency=medium

  * Drop llvm-13 to Suggests for rustc to avoid having to promote it to Ubuntu
    main (LP: #1971128)

 -- Simon Chopin <simon.chopin@canonical.com>  Mon, 30 May 2022 09:59:01 +0200

rustc (1.59.0+dfsg1-1~ubuntu1) kinetic; urgency=medium

  * Merge 1.59.0+dfsg1-1~exp1 from Debian experimental (LP: #1968345)
    Remaining changes:
    - Downgrade cargo from rustc Recommends to Suggests to make rustc promotable to
      main. (LP: #1966200)
    - New patch u-linkchecker-symlinks.patch to fix an issue in
      the linkchecker triggered by our symlink to the system fonts dir
    - d/control: Add fonts-nanum to the rust-doc deps
    - d/control: Add the rust-doc deps as build-deps for the linkchecker tests
    - Reduce parallelism on all arches other than riscv64 to avoid OOMs
      during build.
    - Explicitly disable LTO
    - Add a self-build autopkgtest
    - Ship the Cargo.lock file along with the compiler to identify which crates
      were bundled in.
    - d/p/ubuntu-disable-armhf-debuginfo-failures.patch: temporary to work
      around the armhf debuginfo test failures
    - d/p/ubuntu-ignore-arm-doctest.patch: Patch out the bad doctests for the
      instruction_set errors
    - d/p/ubuntu-fix-crossbeam-CVE-2022-23639.patch: cherry-pick to fix CVE-2022-23639
      amended to also patch the 0.7.2 version of the crate
    - On i386, only build debuginfo for libstd
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.

 -- Simon Chopin <simon.chopin@canonical.com>  Fri, 29 Apr 2022 10:13:09 +0200

rustc (1.59.0+dfsg1-1~exp1) experimental; urgency=medium

  [ Fabian Grünbichler ]
  * New upstream release

 -- Ximin Luo <infinity0@debian.org>  Tue, 29 Mar 2022 14:32:01 +0100

rustc (1.58.1+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Tue, 29 Mar 2022 12:23:46 +0100

rustc (1.58.1+dfsg1-1~exp1) experimental; urgency=medium

  [ Fabian Gruenbichler ]
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Tue, 08 Mar 2022 11:32:29 +0000

rustc (1.58.1+dfsg1~ubuntu1-0ubuntu2) jammy; urgency=medium

  * d/p/ubuntu-fix-crossbeam-CVE-2022-23639.patch: amended to also patch the
    0.7.2 version of the crate
  * Downgrade cargo from rustc Recommends to Suggests to make rustc promotable to
    main. (LP: #1966200)

 -- Simon Chopin <simon.chopin@canonical.com>  Fri, 01 Apr 2022 11:54:57 +0200

rustc (1.58.1+dfsg1~ubuntu1-0ubuntu1) jammy; urgency=medium

  * New upstream version.
    - d/copyright: exclude the new NanumBarunGothic fonts
    - d/copyright: refresh the unused deps section
    - revert the LLVM vendoring
    - revert the CFLAGS scrubing
    - d/p/{u-89950.patch}: Removed, merged upstream
    - Refreshed patches:
      - d/p/d-0000-ignore-removed-submodules.patch
      - d/p/d-rustc-fix-mips64el-bootstrap.patch
      - d/p/d-rustdoc-disable-embedded-fonts.patch
      - d/p/d-bootstrap-cargo-doc-paths.patch
    - Unfuzzed patches: 
      - d-0005-clippy-feature-sync.patch
      - d-bootstrap-rustflags.patch
      - d-bootstrap-cargo-doc-paths.patch
      - u-cc-627.patch
    - New patch u-linkchecker-symlinks.patch to fix an issue in
      the linkchecker triggered by our symlink to the system fonts dir
    - d/control: Add fonts-nanum to the rust-doc deps
    - d/control: Add the rust-doc deps as build-deps for the linkchecker tests
  * d/rules: bump the parallelism level to 4
  * Re-enable the tests within the Debian-specified limits
  * Explicitly disable LTO
  * Add a self-build autopkgtest
  * Ship the Cargo.lock file along with the compiler to identify which crates
    were bundled in.
  * d/p/ubuntu-disable-armhf-debuginfo-failures.patch: temporary to work
    around the armhf debuginfo test failures
  * d/p/ubuntu-ignore-arm-doctest.patch: Patch out the bad doctests for the
    instruction_set errors
  * d/p/ubuntu-fix-crossbeam-CVE-2022-23639.patch: cherry-pick to fix CVE-2022-23639

 -- Simon Chopin <simon.chopin@canonical.com>  Thu, 24 Feb 2022 13:41:38 +0100

rustc (1.57.0+dfsg1+llvm-0ubuntu2) jammy; urgency=medium

  * d/p/d-bootstrap-rustflags.patch: remove the warnings bit, use the option
    "deny-warnings = false" in d/config.toml.in instead

 -- Simon Chopin <simon.chopin@canonical.com>  Thu, 27 Jan 2022 11:21:03 +0100

rustc (1.57.0+dfsg1+llvm-0ubuntu1) jammy; urgency=medium

  * New upstream version.
  * Refresh patches.
  * d/patches/{u-89591.patch,u-88668.patch,u-89772.patch}: Remove as upstream
    now includes these patches.
  * d/patches/d-bootstrap-dont-download-stage0.patch: Remove, no longer
    needed.
  * d/patches/ubuntu-memchr-features.patch: Fix obscure ftbfs from mismatched
    features.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 21 Jan 2022 08:42:03 +1300

rustc (1.57.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable. (Closes: #1005203)

 -- Ximin Luo <infinity0@debian.org>  Tue, 08 Mar 2022 10:51:18 +0000

rustc (1.57.0+dfsg1-1~exp1) experimental; urgency=medium

  [ Simon Chopin ]
  * d/p/d-bootstrap-rustflags.patch: remove the warnings bit, use the option
    "deny-warnings = false" in d/config.toml.in instead

  [ Fabian Grünbichler ]
  * Fix CVE-2022-21658 - std::fs::remove_dir_all TOCTOU symlink issue
  * New upstream release. (Closes: #1005203)

 -- Fabian Grünbichler <f.gruenbichler@proxmox.com>  Thu, 03 Feb 2022 19:14:04 +0100

rustc (1.56.0+dfsg1+llvm-2ubuntu2) jammy; urgency=medium

  * debian/patches/u-ensure-aarch64-lse-object-files-have-distinct-names-in-an-archive.patch:
    Backport patch from upstream, to fix "error: object name conflicts in
    archive" when building rust programs on arm64 (librsvg is currently
    affected).

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 18 Jan 2022 10:25:30 +0000

rustc (1.56.0+dfsg1+llvm-2ubuntu1) jammy; urgency=medium

  * Merge 1.56.0+dfsg1-2 from Debian unstable. (LP: #1952104)
    Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
    - Reduce parallelism on all arches other than riscv64 to avoid OOMs
      during build.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 14 Dec 2021 10:24:02 +1300

rustc (1.56.0+dfsg1-2) unstable; urgency=medium

  * Update to debhelper 13.

 -- Ximin Luo <infinity0@debian.org>  Fri, 22 Oct 2021 23:29:14 +0100

rustc (1.56.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Support terse and verbose DEB_BUILD_OPTIONS.
  * Support -Z gcc-ld=lld via symlinks.
  * Fix RUSTC_SYSROOT in rust-gdb and rust-lldb, thanks James McCoy.

 -- Ximin Luo <infinity0@debian.org>  Fri, 22 Oct 2021 18:54:49 +0100

rustc (1.56.0~beta.4+dfsg1-1~exp2) experimental; urgency=medium

  * Include upstream patch for x32 support. (Closes: #993855)
  * Update to LLVM 13.

 -- Ximin Luo <infinity0@debian.org>  Fri, 15 Oct 2021 10:44:35 +0100

rustc (1.56.0~beta.4+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Thu, 14 Oct 2021 22:50:58 +0100

rustc (1.55.0+dfsg1+llvm-2ubuntu1) jammy; urgency=medium

  * Merge 1.55.0+dfsg1-2 from Debian unstable. (LP: #1952104)
    Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
    - Reduce parallelism on all arches other than riscv64 to avoid OOMs
      during build.
  * Dropped changes, fixed upstream:
    - Adjust -march setting on armhf

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 13 Dec 2021 15:07:06 +1300

rustc (1.55.0+dfsg1-2) unstable; urgency=medium

  * Actually work around segfault on ppc64el.
  * Fix FTBFS on armhf caused by GCC 11 changes.

 -- Ximin Luo <infinity0@debian.org>  Thu, 14 Oct 2021 00:36:15 +0100

rustc (1.55.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Bump test failures-allowed on s390x to 40.
  * Work around a segfault on ppc64el

 -- Ximin Luo <infinity0@debian.org>  Wed, 13 Oct 2021 22:06:15 +0100

rustc (1.55.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sat, 09 Oct 2021 03:22:08 +0100

rustc (1.54.0+dfsg2+llvm-3ubuntu1) jammy; urgency=medium

  * Merge 1.54.0+dfsg1-3 from Debian unstable. (LP: #1952104)
    Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
    - Adjust -march setting on armhf
  * Reduce parallelism on all arches other than riscv64 to avoid OOMs
    during build.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 10 Dec 2021 08:13:40 +1300

rustc (1.54.0+dfsg1-3) unstable; urgency=medium

  * Fix links to cargo-doc.

 -- Ximin Luo <infinity0@debian.org>  Sat, 09 Oct 2021 11:46:08 +0100

rustc (1.54.0+dfsg1-2) unstable; urgency=medium

  * Fix some more build & test failures.

 -- Ximin Luo <infinity0@debian.org>  Sat, 09 Oct 2021 03:12:35 +0100

rustc (1.54.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Re-enable backported patch for armhf & reset its allowed-failures.
  * Add compatibility patch for cargo 0.47.
  * Ignore more spurious test failures, and filed upstream.
  * Bump powerpc allowed-failures to 180 at the request of ports maintainers.

 -- Ximin Luo <infinity0@debian.org>  Sat, 09 Oct 2021 00:24:37 +0100

rustc (1.54.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Wed, 06 Oct 2021 10:37:55 +0100

rustc (1.53.0+dfsg1+llvm-4ubuntu1) jammy; urgency=medium

  * Merge 1.53.0+dfsg1-4 from Debian unstable. (LP: #1943842)
    Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
    - Reduce parallelism on all arches to avoid OOMs during build.
    - Adjust -march setting on armhf

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 27 Oct 2021 20:12:14 +1300

rustc (1.53.0+dfsg1-4) unstable; urgency=medium

  * Ignore some hanging test regressions on non-release arches powerpc, ppc64.

 -- Ximin Luo <infinity0@debian.org>  Wed, 06 Oct 2021 19:24:11 +0100

rustc (1.53.0+dfsg1-3) unstable; urgency=medium

  * Disable patch that was backported incorrectly.
  * Temporarily increase armhf allowed-failures to 12.

 -- Ximin Luo <infinity0@debian.org>  Wed, 06 Oct 2021 19:01:54 +0100

rustc (1.53.0+dfsg1-2) unstable; urgency=medium

  * Fix some test failures.

 -- Ximin Luo <infinity0@debian.org>  Wed, 06 Oct 2021 10:29:03 +0100

rustc (1.53.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Update mips patches, disable a test as our workaround makes it invalid.
  * Temporarily ignore some tests that fail on big-endian.

 -- Ximin Luo <infinity0@debian.org>  Tue, 05 Oct 2021 23:19:31 +0100

rustc (1.53.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release. (Closes: #986803)
  * Honour parallel option in DEB_BUILD_OPTIONS. (Closes: #993871)

 -- Ximin Luo <infinity0@debian.org>  Sat, 02 Oct 2021 12:46:49 +0100

rustc (1.52.1+dfsg1+llvm-1ubuntu1) impish; urgency=medium

  * Merge 1.52.1+dfsg1-1 from Debian unstable. (LP: #1943842)
    Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
  * Reduce parallelism on all arches to avoid OOMs during build.
  * Adjust -march setting on armhf.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 13 Oct 2021 14:30:46 +1300

rustc (1.52.1+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Reorganise dependencies, move optional rustc deps to rust-all.

 -- Ximin Luo <infinity0@debian.org>  Wed, 29 Sep 2021 20:05:55 +0100

rustc (1.52.1+dfsg1-1~exp3) experimental; urgency=medium

  * Update to LLVM 12.

 -- Ximin Luo <infinity0@debian.org>  Wed, 19 May 2021 17:52:44 +0100

rustc (1.52.1+dfsg1-1~exp2) experimental; urgency=medium

  * Fix rust-clippy dependency on libstd-rust-*

 -- Ximin Luo <infinity0@debian.org>  Sat, 15 May 2021 22:42:38 +0100

rustc (1.52.1+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sat, 15 May 2021 15:21:27 +0100

rustc (1.52.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Fri, 07 May 2021 20:38:38 +0100

rustc (1.52.0~beta.3+dfsg1-1~exp4) experimental; urgency=medium

  * Fix issue with dh_missing --fail-missing

 -- Ximin Luo <infinity0@debian.org>  Thu, 06 May 2021 01:52:30 +0100

rustc (1.52.0~beta.3+dfsg1-1~exp3) experimental; urgency=medium

  * Fix Makefile addition syntax.

 -- Ximin Luo <infinity0@debian.org>  Wed, 05 May 2021 22:24:22 +0100

rustc (1.52.0~beta.3+dfsg1-1~exp2) experimental; urgency=medium

  * Install the rust-llvm-dwp symlink.

 -- Ximin Luo <infinity0@debian.org>  Wed, 05 May 2021 22:20:13 +0100

rustc (1.52.0~beta.3+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Mon, 26 Apr 2021 12:31:27 +0100

rustc (1.51.0+dfsg1+llvm-1~exp3ubuntu1) impish; urgency=medium

  * Merge 1.51.0+dfsg1-1~exp3 from Debian experimental (LP #1932145).
    Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
    - Try reducing parallelism in rustbuild on arm64 to avoid OOM.
    - Reduce parallelism during build on s390x too.
  * Disable check against uploading ~exp versions.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 06 Jul 2021 13:16:52 +1200

rustc (1.51.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Install the rust-llvm-dwp symlink.
  * Bump ppc64 allowed-failures to 24.

 -- Ximin Luo <infinity0@debian.org>  Sun, 19 Sep 2021 19:48:33 +0100

rustc (1.51.0+dfsg1-1~exp3) experimental; urgency=medium

  * Restore patch, not actually fixed upstream.

 -- Ximin Luo <infinity0@debian.org>  Mon, 26 Apr 2021 16:17:12 +0100

rustc (1.51.0+dfsg1-1~exp2) experimental; urgency=medium

  * Drop patch fixed upstream.
  * Fix bootstrap with self version.

 -- Ximin Luo <infinity0@debian.org>  Mon, 26 Apr 2021 12:26:43 +0100

rustc (1.51.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Enable 32-bit windows support.

 -- Ximin Luo <infinity0@debian.org>  Mon, 12 Apr 2021 11:04:36 +0100

rustc (1.50.0+dfsg1+llvm-0ubuntu5) hirsute; urgency=medium

  * No change rebuild rebootstrap.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 Apr 2021 21:54:48 +0100

rustc (1.50.0+dfsg1+llvm-0ubuntu4) hirsute; urgency=medium

  * Drop d/patches/0001-Revert-Auto-merge-of-79547.patch.
  * Cherrypick llvm toolchain fix for s390x from 1.51 beta.
  * Build against older 1.49 rustc.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 25 Mar 2021 13:30:52 +0000

rustc (1.50.0+dfsg1+llvm-0ubuntu3) hirsute; urgency=medium

  * Rebuild against the previous upload.
  * Restore the upper cap on the rustc build-dependency.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 24 Mar 2021 22:27:48 +0000

rustc (1.50.0+dfsg1+llvm-0ubuntu2) hirsute; urgency=medium

  [ Michael Hudson-Doyle ]
  * d/patches/0001-Revert-Auto-merge-of-79547.patch: Revert a patch that
    causes LLVM to generate bad code on s390x.  See
    https://github.com/rust-lang/rust/issues/80810.

  [ Dimitri John Ledkov ]
  * Built against older 1.49 rustc.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 23 Mar 2021 18:45:53 +0000

rustc (1.50.0+dfsg1+llvm-0ubuntu1) hirsute; urgency=medium

  * New upstream release. (LP: #1915722)
  * Update patches.
  * Update d/copyright.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 04 Mar 2021 10:17:58 +1300

rustc (1.50.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Sat, 18 Sep 2021 11:45:21 +0100

rustc (1.50.0+dfsg1-1~exp4) experimental; urgency=medium

  * Fix more tests with a backported upstream PR.

 -- Ximin Luo <infinity0@debian.org>  Mon, 12 Apr 2021 01:51:22 +0100

rustc (1.50.0+dfsg1-1~exp3) experimental; urgency=medium

  * Fix cross-compile to windows using same-version stage0.

 -- Ximin Luo <infinity0@debian.org>  Sun, 11 Apr 2021 13:52:41 +0100

rustc (1.50.0+dfsg1-1~exp2) experimental; urgency=medium

  * Fix tests, fix s390x breakage.

 -- Ximin Luo <infinity0@debian.org>  Fri, 09 Apr 2021 16:54:20 +0100

rustc (1.50.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Mon, 05 Apr 2021 21:30:18 +0100

rustc (1.49.0+dfsg1+llvm-0ubuntu1) hirsute; urgency=medium

  * Merge 1.49.0~beta.4+dfsg1-1~exp1 from Debian experimental (LP #1915722).
    Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
    - Try reducing parallelism in rustbuild on arm64 to avoid OOM.
  * Update to 1.49.0 final release.
  * Drop d-fix-mips64el-bootstrap.patch.
  * Reduce parallelism during build on s390x too.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 01 Mar 2021 21:39:26 +1300

rustc (1.49.0+dfsg1-2) unstable; urgency=medium

  * Backport upstream PR 85807 to fix powerpc test issues.

 -- Ximin Luo <infinity0@debian.org>  Sat, 18 Sep 2021 11:33:09 +0100

rustc (1.49.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Sat, 28 Aug 2021 10:48:11 +0100

rustc (1.49.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Mon, 05 Apr 2021 14:59:34 +0100

rustc (1.49.0~beta.4+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sun, 20 Dec 2020 23:26:55 +0000

rustc (1.48.0+dfsg1+llvm-2ubuntu1) hirsute; urgency=medium

  * Merge 1.48.0+dfsg1-2 from Debian unstable (LP #1915722). Remaining
    changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
    - Try reducing parallelism in rustbuild on arm64 to avoid OOM.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 26 Feb 2021 08:13:28 +1300

rustc (1.48.0+dfsg1-2) unstable; urgency=medium

  * Enable +xgot on mips64*, see upstream #52108 for details.

 -- Ximin Luo <infinity0@debian.org>  Sun, 20 Dec 2020 18:52:10 +0000

rustc (1.48.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Tue, 01 Dec 2020 19:57:48 +0000

rustc (1.48.0~beta.8+dfsg1-1~exp3) experimental; urgency=medium

  * Update u-update-version-check.patch

 -- Ximin Luo <infinity0@debian.org>  Fri, 13 Nov 2020 01:36:31 +0000

rustc (1.48.0~beta.8+dfsg1-1~exp2) experimental; urgency=medium

  * Disable copy_file_range optimisation for now, see upstream #78979.
  * Ignore some other minor tests, bugs have been filed upstream.

 -- Ximin Luo <infinity0@debian.org>  Thu, 12 Nov 2020 23:51:53 +0000

rustc (1.48.0~beta.8+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Wed, 11 Nov 2020 12:31:18 +0000

rustc (1.47.0+dfsg1+llvm-1ubuntu2) hirsute; urgency=medium

  * No change rebuild against new glibc-32 ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 15 Feb 2021 22:37:11 +0000

rustc (1.47.0+dfsg1+llvm-1ubuntu1) hirsute; urgency=medium

  * Merge 1.47.0+dfsg1-1 from Debian unstable (LP #1901571). Remaining
    changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
    - Do not build windows cross compiler.
  * Try reducing parallelism in rustbuild on arm64 to avoid OOM.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 08 Dec 2020 12:50:59 +1300

rustc (1.47.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Update to LLVM 11.
  * Ignore more tests on big-endian.

 -- Ximin Luo <infinity0@debian.org>  Sat, 07 Nov 2020 21:21:03 +0000

rustc (1.47.0~beta.2+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sat, 05 Sep 2020 16:11:16 +0100

rustc (1.46.0+dfsg1+llvm-1ubuntu1) hirsute; urgency=medium

  * Merge 1.46.0 from Debian unstable. Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
  * Do not build windows cross compiler.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sun, 06 Dec 2020 21:56:18 +1300

rustc (1.46.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sat, 29 Aug 2020 16:54:36 +0100

rustc (1.46.0~beta.2+dfsg1-1~exp5) experimental; urgency=medium

  * Fix rust-gdb install path. (Closes: #968279)
  * Drop powerpc allowed-failures to 12. (Closes: #955774)
  * Update d-fix-mips64el-bootstrap.patch for newer LLVM.

 -- Ximin Luo <infinity0@debian.org>  Fri, 14 Aug 2020 23:45:25 +0100

rustc (1.46.0~beta.2+dfsg1-1~exp4) experimental; urgency=medium

  * Move cross-linker Depends to Recommends - for cross-compiling support
    libraries should never hard-depend on toolchains. This also allows us to
    add the usual M-A annotations for libraries.

 -- Ximin Luo <infinity0@debian.org>  Sun, 09 Aug 2020 18:16:16 +0100

rustc (1.46.0~beta.2+dfsg1-1~exp3) experimental; urgency=medium

  * Drop "-cross" suffix from libstd naming, after discussion with Helmut
    Grohne. Since libstd-rust-dev-wasm-cross is not yet in stable and only
    has 4 installed users, we do not retain a migration package. 

 -- Ximin Luo <infinity0@debian.org>  Sun, 09 Aug 2020 14:27:54 +0100

rustc (1.46.0~beta.2+dfsg1-1~exp2) experimental; urgency=medium

  * Add support for cross-compiling to windows. See README.Debian for details.
    Currently only 64-bit works, we are waiting on #540782 for 32-bit.

 -- Ximin Luo <infinity0@debian.org>  Sun, 09 Aug 2020 03:52:34 +0100

rustc (1.46.0~beta.2+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Fri, 07 Aug 2020 00:15:46 +0100

rustc (1.45.0+dfsg1+llvm-2ubuntu1) hirsute; urgency=medium

  * Merge 1.45.0 from Debian unstable. Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
    - Revert workaround for upstream bug #74786
    - Disable wasm build as build dependencies not currently available in
      Ubuntu.
  * Dropped change, patches no longer apply and riscv64 build fails
    anyway:
    - riscv64 support patches which no longer completely work:
      - Add more rustc patches from Debian.
      - Apply relevant llvm-toolchain-9 patches to the embedded llvm.
      - Avoid the LDFLAGS -latomic hacks from llvm-toolchain-9:
        - debian/patches/riscv64-atomic-fixes.patch: Fix libatomic detection for
        riscv64.
        - debian/patches/dsymutil-atomic.patch: Link dsymutil with -latomic.
  * Dropped change, upstream now includes LLVM with the fix:
    - Backport patch fixing miscompliation and subsequent crash on s390x
      (adapted from https://src.fedoraproject.org/rpms/llvm/pull-request/49):
      - add debian/patches/0001-InstCombine-Fix-big-endian-miscompile-of-bitcast-zex.patch
      - update debian/patches/series

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Dec 2020 11:20:49 +1300

rustc (1.45.0+dfsg1-2) unstable; urgency=medium

  * Add some more big-endian test patches.
  * Backport some patches to fix some testsuite ICEs.

 -- Ximin Luo <infinity0@debian.org>  Thu, 06 Aug 2020 21:11:39 +0100

rustc (1.45.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Wed, 05 Aug 2020 21:41:39 +0100

rustc (1.45.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Mon, 27 Jul 2020 17:45:24 +0100

rustc (1.44.1+dfsg1+llvm-3ubuntu1) hirsute; urgency=medium

  * Merge 1.44.1 from Debian unstable. Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
    - riscv64 support patches which no longer completely work:
      - Add more rustc patches from Debian.
      - Apply relevant llvm-toolchain-9 patches to the embedded llvm.
      - Avoid the LDFLAGS -latomic hacks from llvm-toolchain-9:
        - debian/patches/riscv64-atomic-fixes.patch: Fix libatomic detection for
        riscv64.
        - debian/patches/dsymutil-atomic.patch: Link dsymutil with -latomic.
    - Backport patch fixing miscompliation and subsequent crash on s390x
      (adapted from https://src.fedoraproject.org/rpms/llvm/pull-request/49):
      - add debian/patches/0001-InstCombine-Fix-big-endian-miscompile-of-bitcast-zex.patch
      - update debian/patches/series
  * Dropped change:
    - Disable check for ~exp in version number.
  * Revert workaround for upstream bug #74786
  * Disable wasm build as build dependencies not currently available in
    Ubuntu.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 03 Dec 2020 14:03:38 +1300

rustc (1.44.1+dfsg1-3) unstable; urgency=medium

  * Fix patch for line numbers on little-endian arches.

 -- Ximin Luo <infinity0@debian.org>  Tue, 28 Jul 2020 21:51:36 +0100

rustc (1.44.1+dfsg1-2) unstable; urgency=medium

  * Ignore tests that assume little-endian on big-endian arches.
    See upstream #74829 for details.

 -- Ximin Luo <infinity0@debian.org>  Tue, 28 Jul 2020 21:20:24 +0100

rustc (1.44.1+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Backport a typenum fix for i386.
  * Work around upstream #74786 involving debuginfo maps.

 -- Ximin Luo <infinity0@debian.org>  Mon, 27 Jul 2020 13:15:20 +0100

rustc (1.44.1+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sat, 04 Jul 2020 18:04:42 +0100

rustc (1.43.0+dfsg1+llvm-1~exp1ubuntu3) UNRELEASED; urgency=medium

  * Relax rustc version constraint in Build-Depends to see if 1.41 can
    build 1.43 on riscv64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 25 Jun 2020 09:50:02 +1200

rustc (1.43.0+dfsg1+llvm-1~exp1ubuntu2) groovy; urgency=medium

  * Fix mismerge preventing tests from running.
  * Backport patch fixing miscompliation and subsequent crash on s390x
    (adapted from https://src.fedoraproject.org/rpms/llvm/pull-request/49):
    - add debian/patches/0001-InstCombine-Fix-big-endian-miscompile-of-bitcast-zex.patch
    - update debian/patches/series

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 23 Jun 2020 19:35:09 +1200

rustc (1.43.0+dfsg1+llvm-1~exp1ubuntu1) groovy; urgency=medium

  * Merge from Debian NEW (LP: #1876942). Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
    - riscv64 support patches which no longer completely work:
      - Add more rustc patches from Debian.
      - Apply relevant llvm-toolchain-9 patches to the embedded llvm.
      - Avoid the LDFLAGS -latomic hacks from llvm-toolchain-9:
        - debian/patches/riscv64-atomic-fixes.patch: Fix libatomic detection for
        riscv64.
        - debian/patches/dsymutil-atomic.patch: Link dsymutil with -latomic.
  * Disable check for ~exp in version number.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 28 May 2020 07:59:18 +1200

rustc (1.43.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Bump LLVM B-D version for some backported fixes affecting rustc.

 -- Ximin Luo <infinity0@debian.org>  Sun, 05 Jul 2020 15:06:52 +0100

rustc (1.43.0+dfsg1-1~exp1) experimental; urgency=medium

  * Drop sparc64 workaround. (Closes: #956413)
  * Drop stack-gap workaround for old kernels and rust versions.
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Mon, 27 Apr 2020 13:09:20 +0100

rustc (1.42.0+dfsg1+llvm-1ubuntu2) groovy; urgency=medium

  * Re-add riscv64 support patches which where accidentally dropped in
    previous upload and no longer completely work:
    - Add more rustc patches from Debian.
    - Apply relevant llvm-toolchain-9 patches to the embedded llvm.
    - Avoid the LDFLAGS -latomic hacks from llvm-toolchain-9:
      - debian/patches/riscv64-atomic-fixes.patch: Fix libatomic detection for
        riscv64.
      - debian/patches/dsymutil-atomic.patch: Link dsymutil with -latomic.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 21 May 2020 08:04:00 +1200

rustc (1.42.0+dfsg1+llvm-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable (LP #1876942). Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 18 May 2020 20:29:59 +1200

rustc (1.42.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Fri, 10 Apr 2020 11:33:25 +0100

rustc (1.42.0+dfsg1-1~exp1) experimental; urgency=medium

  [ Fabian Grünbichler ]
  * Team upload.
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sat, 04 Apr 2020 16:06:03 +0100

rustc (1.41.1+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Fri, 03 Apr 2020 23:41:11 +0100

rustc (1.41.1+dfsg1-1~exp1) experimental; urgency=medium

  [ Ximin Luo ]
  * More python 2 -> 3 fixes.
  * Enable the wasm32-wasi target for code that needs a "real" libstd.
  * Don't strip static rlibs. This sometimes breaks wasm, and more generally
    the stripped debuginfo is actually totally lost rather than being moved
    into the -dbgsym packages. Shared libraries are unaffected and work.
  * Allow 180 failing tests on riscv64, none were actually run last time.

  [ Fabian Grünbichler ]
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Mon, 09 Mar 2020 00:31:34 +0000

rustc (1.41.0+dfsg1+llvm-0ubuntu2) focal; urgency=medium

  * Add riscv64 support:
    - Add more rustc patches from Debian.
    - Apply relevant llvm-toolchain-9 patches to the embedded llvm.
    - debian/patches/riscv64-vendor-cc.diff: Update one last rustc lp64 ABI
      reference to lp64d.
    - Avoid the LDFLAGS -latomic hacks from llvm-toolchain-9:
      - debian/patches/riscv64-atomic-fixes.patch: Fix libatomic detection for
        riscv64.
      - debian/patches/dsymutil-atomic.patch: Link dsymutil with -latomic.

 -- William Grant <wgrant@ubuntu.com>  Wed, 08 Apr 2020 10:18:39 +1000

rustc (1.41.0+dfsg1+llvm-0ubuntu1) focal; urgency=medium

  * New upstream version (LP: #1856851)
  * Cherry-pick several commits from
    https://salsa.debian.org/rust-team/rust/-/merge_requests/4,
    thanks Fabian Grünbichler:
    - convert orig Cargo.lock to v1 format
    - d/patches: update for 1.41.0 import
    - Update Files-Excluded for new upstream version 1.41.0
    - d/update-version.sh: fix python3 compat
    - drop patches which were applied upstream
    - rebase and update patches
    - don't attempt to install llvm codegen so
    - update d/copyright
    - update changelog and versions
      - (adjusted somewhat by me)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 02 Mar 2020 21:22:50 +0100

rustc (1.40.0+dfsg1+llvm-5ubuntu1) focal; urgency=medium

  * Merge from Debian unstable (LP #1856851). Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
  * Dropped change, now fixed in Debian:
    - Run build scripts with Python 3.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 29 Feb 2020 16:21:22 +0000

rustc (1.40.0+dfsg1-5) unstable; urgency=medium

  * More python 2 -> 3 fixes.
  * Allow 24 failing tests on riscv64.
  * Reenable debuginfo for rustc, not just libstd.
  * Reenable backtraces during tests.

 -- Ximin Luo <infinity0@debian.org>  Sun, 05 Jan 2020 13:35:46 +0000

rustc (1.40.0+dfsg1-4) unstable; urgency=medium

  * Experimental riscv64 support.

 -- Ximin Luo <infinity0@debian.org>  Sat, 04 Jan 2020 05:40:11 +0000

rustc (1.40.0+dfsg1-3) unstable; urgency=medium

  * Work around upstream #59264 again. :/

 -- Ximin Luo <infinity0@debian.org>  Fri, 03 Jan 2020 22:05:16 +0000

rustc (1.40.0+dfsg1-2) unstable; urgency=medium

  * Fix more internal build scripts so they use python3.
  * Don't add -L/usr/lib/llvm when cross-compiling. (Closes: #941783)

 -- Ximin Luo <infinity0@debian.org>  Fri, 03 Jan 2020 20:18:46 +0000

rustc (1.40.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Ignore new test failing on arm that also fails in previous versions.

 -- Ximin Luo <infinity0@debian.org>  Sun, 29 Dec 2019 22:17:04 +0000

rustc (1.40.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Wed, 25 Dec 2019 00:09:24 +0000

rustc (1.39.0+dfsg1+llvm-3ubuntu1) focal; urgency=medium

  * Merge from Debian unstable (LP #1856851). Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
    - Add Build-Depends-Indep: libssl-dev
  * Run build scripts with Python 3.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 22 Jan 2020 20:21:38 +1300

rustc (1.39.0+dfsg1-4) unstable; urgency=medium

  * Update to LLVM 9. (Closes: #946886)

 -- Ximin Luo <infinity0@debian.org>  Mon, 23 Dec 2019 03:21:02 +0000

rustc (1.39.0+dfsg1-3) unstable; urgency=medium

  * Fix mips patch involving mxgot for new RUSTFLAGS behaviour.

 -- Ximin Luo <infinity0@debian.org>  Fri, 06 Dec 2019 22:18:53 +0000

rustc (1.39.0+dfsg1-2) unstable; urgency=medium

  * Include reproducibility patch for compiler-builtins.
  * Use python3 instead of python to run rustbuild. (Closes: #938422)
  * Expand d-ignore-error-detail-diff.patch for unfixed upstream #53081.

 -- Ximin Luo <infinity0@debian.org>  Thu, 05 Dec 2019 22:51:41 +0000

rustc (1.39.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sat, 30 Nov 2019 22:20:48 +0000

rustc (1.38.0+dfsg1-2) unstable; urgency=medium

  * Fix building with rustc 1.38.0
  * Fix building with cargo 0.40.0

 -- Ximin Luo <infinity0@debian.org>  Fri, 29 Nov 2019 00:05:16 +0000

rustc (1.38.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Tue, 26 Nov 2019 14:41:46 +0000

rustc (1.38.0+dfsg0.2+llvm-0ubuntu2) focal; urgency=medium

  * d/patches/d-fix-1.38-self-bootstrap.patch: backport patch from upstream
    to allow warnings to not fail the build, which allows rustc 1.38 to be
    bootstrapped with itself.
    - adds d/patches/d-fix-1.38-self-bootstrap.patch
    - updates d/patches/series
    - updates debian/config.toml.in

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 29 Nov 2019 07:57:13 +1300

rustc (1.38.0+dfsg0.2+llvm-0ubuntu1) focal; urgency=medium

  * New upstream release.
  * Add Build-Depends-Indep: libssl-dev
  * Update Files-Excluded for new upstream version 1.38.0
  * d/patches/d-0004-mdbook-2-1-compat.patch: Removed.
  * Refresh other patches.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 13 Nov 2019 09:29:49 +1300

rustc (1.37.0+dfsg1+llvm-1ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable (LP #1843765). Remaning changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch
  * Revert "Support cross-compiling to wasm32" as it breaks with the
    bundled snapshot of LLVM 9.
    - delete debian/libstd-rust-dev-wasm32-cross.lintian-overrides
    - delete debian/rustc.links
    - update debian/config.toml.in
    - update debian/control
    - update debian/rules

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 18 Sep 2019 14:31:31 +0200

rustc (1.37.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Fix a typo in debian/rules regex causing FTBFS on some arches.

 -- Ximin Luo <infinity0@debian.org>  Thu, 05 Sep 2019 00:06:23 -0700

rustc (1.37.0+dfsg1-1~exp2) experimental; urgency=medium

  * Support cross-compiling to wasm32. (Closes: #903110)
    To do that, install the libstd-rust-dev-wasm32-cross package and give
    --target wasm32-unknown-unknown.
  * Drop dependency on system compiler-rt, these new versions of rustc
    actually don't need it at all.

 -- Ximin Luo <infinity0@debian.org>  Thu, 29 Aug 2019 09:00:03 -0700

rustc (1.37.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Use system compiler-rt.

 -- Ximin Luo <infinity0@debian.org>  Sun, 25 Aug 2019 03:06:33 -0700

rustc (1.36.0+dfsg1+llvm-2ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable. Remaning changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 17 Aug 2019 13:58:25 +1200

rustc (1.36.0+dfsg1-2) unstable; urgency=medium

  * Set CARGO_HOME to debian/cargo_home (instead of $HOME/.cargo) as newer
    versions of cargo must take a file lock that has to exist.

 -- Ximin Luo <infinity0@debian.org>  Wed, 17 Jul 2019 18:25:06 -0700

rustc (1.36.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Tue, 16 Jul 2019 20:27:55 -0700

rustc (1.36.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sat, 13 Jul 2019 12:42:05 -0700

rustc (1.35.0+dfsg1-1) unstable; urgency=medium

  * Add entry in 1.34.2+dfsg1-1 to note that it uses LLVM 7.
  * Add entry in 1.35.0+dfsg1-1~exp2 to note that it uses LLVM 8.
  * Fix ICE on sparc64 by including upstream PR #61881.

 -- Ximin Luo <infinity0@debian.org>  Sat, 13 Jul 2019 10:30:35 -0700

rustc (1.35.0+dfsg1-1~exp1) experimental; urgency=medium

  * Don't use system compiler-rt, it's not ready yet.
  * Update to LLVM 8.
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sun, 09 Jun 2019 23:20:52 -0700

rustc (1.35.0+dfsg0.1+llvm-0ubuntu1) eoan; urgency=medium

  * New upstream release.
    - Refresh patches.
    - Bump rustc versions in d/control.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 08 Jul 2019 12:10:17 +0200

rustc (1.34.2+dfsg1-1) unstable; urgency=medium

  * Don't use system compiler-rt, there are issues with that for now.
  * Use LLVM 7 for the Debian buster release.

 -- Ximin Luo <infinity0@debian.org>  Wed, 29 May 2019 21:52:37 -0700

rustc (1.34.2+dfsg1-1~exp2) experimental; urgency=medium

  * Fix doc build, add version 1 compat mode hack for mdBook 2.
  * Use system compiler-rt from libclang-common-*-dev.

 -- Ximin Luo <infinity0@debian.org>  Fri, 24 May 2019 00:39:59 -0700

rustc (1.34.2+dfsg1-1~exp1) experimental; urgency=medium

  * Ensure Cargo.toml is in rust-src.
  * New upstream release.
  * Update to LLVM 8.

 -- Ximin Luo <infinity0@debian.org>  Sun, 19 May 2019 02:40:02 -0700

rustc (1.34.1+dfsg2+llvm-0ubuntu1) eoan; urgency=medium

  * New upstream release.
    - Refresh patches.
    - Bump rustc versions in d/control.
  * Add d-no-web-dependencies-in-doc-0.1.7.patch: there are now two copies of
    mdbook that need patching.
  * Adjust d/rules to cope with the fact that src/llvm is now src/llvm-project.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 17 May 2019 10:58:38 +1200

rustc (1.33.0+dfsg1+llvm-1~exp1ubuntu1) eoan; urgency=medium

  * Merge from Debian unstabl^Wexperimenta^WNEW. Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Mon, 13 May 2019 14:15:10 +1200

rustc (1.33.0+dfsg1-2) unstable; urgency=medium

  * Add Fedora patches.
  * Bump i386 allowed test failures to 12.

 -- Ximin Luo <infinity0@debian.org>  Sat, 18 May 2019 12:18:25 -0700

rustc (1.33.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Fix build on mips, flags needed whitespace massaging.
  * Drop obsolete patches.

 -- Ximin Luo <infinity0@debian.org>  Fri, 17 May 2019 21:04:20 -0700

rustc (1.33.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

  [ Hiroaki Nakamura ]
  * Delete obsolete patch.

  [ Sylvestre Ledru ]
  * Update compiler-rt patch.
  * Improve build-related docs a bit.

 -- Ximin Luo <infinity0@debian.org>  Mon, 29 Apr 2019 19:50:48 -0700

rustc (1.32.0+dfsg1+llvm-1ubuntu1) disco; urgency=medium

  * Merge from Debian unstable. Remaning changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.
      - update debian/watch

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 14 Feb 2019 10:24:51 +1300

rustc (1.32.0+dfsg1-3) unstable; urgency=medium

  * Conditionally-apply u-compiletest.patch based on stage0 compiler.
  * Fix syntax error in d/rules compiletest check.

 -- Ximin Luo <infinity0@debian.org>  Sun, 17 Mar 2019 16:40:05 -0700

rustc (1.32.0+dfsg1-2) unstable; urgency=medium

  * More verbose logging during builds.
  * Fix compiletest compile error, and check log has at least 1 pass.

 -- Ximin Luo <infinity0@debian.org>  Sun, 17 Mar 2019 12:52:57 -0700

rustc (1.32.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sun, 27 Jan 2019 22:02:48 -0800

rustc (1.32.0~beta.2+dfsg1-1~exp2) experimental; urgency=medium

  * Note that this upstream version already Closes: #917191.
  * Backport other upstream fixes. (Closes: #916818, #917000, #917192).

 -- Ximin Luo <infinity0@debian.org>  Tue, 01 Jan 2019 15:26:57 -0800

rustc (1.32.0~beta.2+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop obsolete d-sparc64-dont-pack-spans.patch

 -- Ximin Luo <infinity0@debian.org>  Sun, 16 Dec 2018 13:48:25 -0800

rustc (1.31.0+dfsg1+llvm-2ubuntu1) disco; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
    - Adjust debian/watch to include +llvm in upstream version.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 18 Jan 2019 11:43:00 +1300

rustc (1.31.0+dfsg1-2) unstable; urgency=medium

  * Bump mips mipsel s390x allowed-failures to 24.

 -- Ximin Luo <infinity0@debian.org>  Sun, 16 Dec 2018 14:34:44 -0800

rustc (1.31.0+dfsg1-1) unstable; urgency=medium

  * Revert debuginfo patches, they're not ready yet.

 -- Ximin Luo <infinity0@debian.org>  Sun, 16 Dec 2018 09:58:06 -0800

rustc (1.31.0+dfsg1-1~exp2) experimental; urgency=medium

  * Drop redundant patches.
  * Fix line numbers in some test-case patches.
  * Backport an updated patch for gdb 8.2.

 -- Ximin Luo <infinity0@debian.org>  Sat, 15 Dec 2018 13:52:26 -0800

rustc (1.31.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Fri, 14 Dec 2018 21:30:56 -0800

rustc (1.31.0~beta.19+dfsg1-1~exp2) experimental; urgency=medium

  * Filter LLVM build flags to not be stupid.

 -- Ximin Luo <infinity0@debian.org>  Sat, 01 Dec 2018 12:17:52 -0800

rustc (1.31.0~beta.19+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Thu, 29 Nov 2018 22:29:16 -0800

rustc (1.31.0~beta.4+dfsg1-1~exp2) experimental; urgency=medium

  * Merge changes from Debian unstable.

 -- Ximin Luo <infinity0@debian.org>  Tue, 06 Nov 2018 19:45:26 -0800

rustc (1.31.0~beta.4+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop old maintainers from Uploaders.

 -- Ximin Luo <infinity0@debian.org>  Sun, 04 Nov 2018 19:00:16 -0800

rustc (1.30.0+dfsg1+llvm-2ubuntu1) disco; urgency=medium

  * Merge from Debian unstable:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an 
      upgrade issue
      - update debian/control
      - Adjust debian/watch to include +llvm in upstream version.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 08 Nov 2018 16:10:16 +1300

rustc (1.30.0+dfsg1-2) unstable; urgency=medium

  * Increase FAILURES_ALLOWED for mips mipsel to 20.
  * Set debuginfo-only-std = false for 32-bit powerpc architectures.

 -- Ximin Luo <infinity0@debian.org>  Fri, 02 Nov 2018 01:42:36 -0700

rustc (1.30.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable. (Closes: #881845)
  * Increase FAILURES_ALLOWED for mips architectures.
  * Set debuginfo-only-std = false for mips architectures.

 -- Ximin Luo <infinity0@debian.org>  Thu, 01 Nov 2018 10:05:52 -0700

rustc (1.30.0+dfsg1-1~exp2) experimental; urgency=medium

  * Disable debuginfo-gdb tests relating to enums. These will be fixed in an
    upcoming version, see upstream #54614 for details.

 -- Ximin Luo <infinity0@debian.org>  Wed, 31 Oct 2018 00:02:25 -0700

rustc (1.30.0+dfsg1-1~exp1) experimental; urgency=medium

  * Actually don't build docs in an arch-only build.
  * Add mips patch, hopefully closes #881845 but let's see.
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Tue, 30 Oct 2018 22:05:59 -0700

rustc (1.30.0~beta.7+dfsg1-1~exp3) experimental; urgency=medium

  * Do the necessary bookkeeping for the LLVM update.

 -- Ximin Luo <infinity0@debian.org>  Wed, 26 Sep 2018 23:29:18 -0700

rustc (1.30.0~beta.7+dfsg1-1~exp2) experimental; urgency=medium

  * Tweak test failure rules: armel <= 8, ppc64 <= 12.
  * Update to LLVM 7.

 -- Ximin Luo <infinity0@debian.org>  Wed, 26 Sep 2018 21:43:30 -0700

rustc (1.30.0~beta.7+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sun, 23 Sep 2018 10:40:30 -0700

rustc (1.29.2+dfsg1+llvm-0ubuntu1) cosmic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control
    - Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an
      upgrade issue
      - update debian/control
  * Adjust debian/watch to include +llvm in upstream version.
  * Update to new upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 11 Oct 2018 11:49:26 +1300

rustc (1.29.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Drop d-armel-disable-kernel-helpers.patch as a necessary part of the
    fix to #906520, so it is actually fixed.
  * Backport a patch to fix the rand crate on powerpc. (Closes: #909400)
  * Lower the s390x allowed failures back to 25.

 -- Ximin Luo <infinity0@debian.org>  Sun, 23 Sep 2018 10:16:53 -0700

rustc (1.29.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Include patch for armel atomics. (Closes: #906520)
  * Update to latest Standards-Version; no changes required.

 -- Ximin Luo <infinity0@debian.org>  Thu, 20 Sep 2018 22:33:20 -0700

rustc (1.28.0+dfsg1+llvm-0ubuntu2) cosmic; urgency=medium

  * Adjust the rustc Breaks/Replaces libstd-rust-dev version to fix an upgrade
    issue
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 21 Aug 2018 23:31:55 +0100

rustc (1.28.0+dfsg1+llvm-0ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable, remaining changes: 
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - On i386, only build debuginfo for libstd
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules
    - Version the Build-Conflict on gdb-minimal as gdb now Provides it
      - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 14 Aug 2018 21:57:50 +0100

rustc (1.28.0+dfsg1-3) unstable; urgency=medium

  * Team upload.

  [ Ximin Luo ]
  * More sparc64 fixes, and increase allowed-test-failures there to 180.

  [ Julien Cristau ]
  * Don't use pentium4 as i686 baseline (closes: #908561)

 -- Julien Cristau <jcristau@debian.org>  Tue, 11 Sep 2018 15:54:27 +0200

rustc (1.28.0+dfsg1-2) unstable; urgency=medium

  * Switch on verbose-tests to restore the old pre-1.28 behaviour, and restore
    old failure-counting logic.
  * Allow 50 test failures on s390x, restored failure-counting logic avoids
    more double-counts.

 -- Ximin Luo <infinity0@debian.org>  Sun, 05 Aug 2018 02:18:10 -0700

rustc (1.28.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Add patches from Fedora to fix some test failures.
  * Ignore a failure testing specific error output, under investigation.
  * Allow 100 test failures on s390x, should be reducible later with LLVM 7.
  * Temporary fix for mips64el bootstrap.
  * Be even more verbose during the build.
  * Update to latest Standards-Version.

 -- Ximin Luo <infinity0@debian.org>  Sat, 04 Aug 2018 23:04:41 -0700

rustc (1.28.0~beta.14+dfsg1-1~exp2) experimental; urgency=medium

  * Update test-failure counting logic.
  * Fix version constraints for Recommends: cargo.
  * Add patch to fix sparc64 CABI.

 -- Ximin Luo <infinity0@debian.org>  Fri, 27 Jul 2018 04:26:52 -0700

rustc (1.28.0~beta.14+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update to latest Standards-Version; no changes required.

 -- Ximin Luo <infinity0@debian.org>  Wed, 25 Jul 2018 03:11:11 -0700

rustc (1.27.2+dfsg1-1) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Update of the alioth ML address.

  [ Ximin Luo ]
  * Fail the build if our version contains ~exp and we are not releasing to
    experimental, this has happened by accident a few times already.
  * Allow 36 and 44 test failures on armel and s390x respectively.
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Tue, 24 Jul 2018 21:35:56 -0700

rustc (1.27.1+dfsg1-1~exp4) experimental; urgency=medium

  * Unconditonally prune crate checksums to avoid having to manually prune them
    whenever we patch the vendored crates.

 -- Ximin Luo <infinity0@debian.org>  Thu, 19 Jul 2018 14:49:18 -0700

rustc (1.27.1+dfsg1-1~exp3) experimental; urgency=medium

  * Add patch from Fedora to fix rebuild against same version.

 -- Ximin Luo <infinity0@debian.org>  Thu, 19 Jul 2018 08:52:03 -0700

rustc (1.27.1+dfsg1-1~exp2) experimental; urgency=medium

  * Fix some failing tests.

 -- Ximin Luo <infinity0@debian.org>  Wed, 18 Jul 2018 09:06:44 -0700

rustc (1.27.1+dfsg1-1~exp1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Fri, 13 Jul 2018 22:58:02 -0700

rustc (1.27.0+dfsg0+llvm-0ubuntu1) cosmic; urgency=medium

  * Update to 1.27.0
  * Bump rustc build requirement to 1.26.0
    - update debian/control
  * Rename libstd-rust-1.26 to libstd-rust-1.27
    - update debian/control
    - debian/libstd-rust-1.26.lintian-overrides =>
        debian/libstd-rust-1.27.lintian-overrides
  * Update debian/copyright
  * Refresh patches
    - update debian/patches/u-fixtestignores-ppc64el.patch
    - update debian/patches/u-tag-private-modules-with-doc-cfg.patch
    - update debian/patches/d-disable-cargo-vendor.patch
    - update debian/patches/d-no-web-dependencies-in-doc.patch
  * Drop patches that are fixed upstream
    - remove debian/patches/u-fix-rustdoc-theme-test-without-rpath.patch
    - remove debian/patches/u-fix-fp-target-warning.patch
    - update debian/patches/series
  * Disable search functionality in the documentation as it depends on
    mark.js and elasticlunr.js, both of which are stripped from the tarball
    (they are vendored in minified form) and neither of which are packaged
    separately in Ubuntu yet
    - add debian/patches/d-disable-doc-search.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 06 Jul 2018 17:02:31 +0100

rustc (1.26.2+dfsg1+llvm-0ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable, remaining changes: 
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests
      - update debian/control
    - Exclude src/tools/lld from the tarball
      - update debian/copyright
      - update debian/rules
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - Ensure the build uses the bundled stage0 rustc when bootstrapping
      - update debian/rules
    - Only build debuginfo for libstd on i386
      - update debian/rules
    - Ignore all test failures on every architecture
      - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 21 Jun 2018 18:22:37 +0100

rustc (1.26.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Stop ignoring tests that now pass.
  * Don't ignore tests that still fail, instead raise FAILURES_ALLOWED.
    This allows us to see the test failures in the build logs, rather than
    hiding them.

 -- Ximin Luo <infinity0@debian.org>  Sat, 16 Jun 2018 12:39:59 -0700

rustc (1.26.1+dfsg1-3) unstable; urgency=medium

  * Fix build-dep version range to build against myself.

 -- Ximin Luo <infinity0@debian.org>  Thu, 31 May 2018 09:25:17 -0700

rustc (1.26.1+dfsg1-2) unstable; urgency=medium

  * Also ignore test_loading_cosine on ppc64el.

 -- Ximin Luo <infinity0@debian.org>  Wed, 30 May 2018 20:58:46 -0700

rustc (1.26.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Wed, 30 May 2018 08:18:04 -0700

rustc (1.26.1+dfsg0+llvm-0ubuntu1) cosmic; urgency=medium

  * Update to 1.26.1
  * Exclude src/tools/lld from the tarball
    - update debian/copyright
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 01 Jun 2018 16:10:34 +0100

rustc (1.26.0+dfsg1-1~exp4) experimental; urgency=medium

  * Try alternative patch to ignore x86 stdsimd tests suggested by upstream.
  * Bump up allowed-test-failures to 8 to account for the fact that we're now
    double-counting some failures.

 -- Ximin Luo <infinity0@debian.org>  Tue, 29 May 2018 20:36:56 -0700

rustc (1.26.0+dfsg1-1~exp3) experimental; urgency=medium

  * Ignore some irrelevant tests on ppc64 and non-x86 platforms.

 -- Ximin Luo <infinity0@debian.org>  Tue, 29 May 2018 09:32:38 -0700

rustc (1.26.0+dfsg1-1~exp2) experimental; urgency=medium

  * Add Breaks+Replaces for older libstd-rust-dev with codegen-backends.
    (Closes: #899180)
  * Backport some test and packaging fixes from Ubuntu.

 -- Ximin Luo <infinity0@debian.org>  Tue, 22 May 2018 22:00:53 -0700

rustc (1.26.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update to latest Standards-Version; no changes required.
  * Update doc-base files. (Closes: #876831)

 -- Ximin Luo <infinity0@debian.org>  Sun, 20 May 2018 03:11:45 -0700

rustc (1.26.0+dfsg0+llvm-0ubuntu3) cosmic; urgency=medium

  * Backport 'Fix "fp" feature for AArch64', as the console warnings appear
    to be making the cargo tests fail
    - add debian/patches/u-fix-fp-feature-for-aarch64.patch
    - update debian/patches/series
  * Drop src/tools/lld from rust-src (can be dropped after the next merge with
    Debian when we have an updated tarball)
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 01 Jun 2018 15:40:50 +0100

rustc (1.26.0+dfsg0+llvm-0ubuntu2) cosmic; urgency=medium

  * Ignore all test failures on every architecture. If anyone else wants to
    spend time getting all of the tests to pass, be my guest
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 25 May 2018 12:57:52 +0100

rustc (1.26.0+dfsg0+llvm-0ubuntu1) cosmic; urgency=medium

  * Update to 1.26.0
  * Bump rustc build requirement to 1.25.0
    - update debian/control
  * Rename libstd-rust-1.25 to libstd-rust-1.26
    - update debian/control
    - debian/libstd-rust-1.25.lintian-overrides =>
        debian/libstd-rust-1.26.lintian-overrides
  * Update debian/copyright
  * Refresh patches
    - update debian/patches/d-armel-disable-kernel-helpers.patch
    - update debian/patches/d-ignore-removed-submodules.patch
    - update debian/patches/d-no-web-dependencies-in-doc.patch
    - update debian/patches/u-ignoretest-armhf_01.patch
    - update debian/patches/u-ignoretest-armhf_02.patch
    - update debian/patches/u-ignoretest-armhf_06.patch
    - update debian/patches/u-ignoretest-ppc64el.patch
    - update debian/patches/u-make-tests-work-without-rpath.patch
  * Drop patches that are fixed upstream or no longer applicable
    - remove debian/patches/u-gperf-3.1.patch
    - remove debian/patches/u-powerpcspe-support.patch
    - update debian/patches/series
  * No need to generate html_blocks.c now that hoedown is gone
    - update debian/rules
  * Backport upstream change to ensure that libraries build in stage0 have
    unique metadata
    - add debian/patches/u-ensure-libraries-built-in-stage0-have-unique-metadata.patch
    - update debian/patches/series
  * Use the new --remap-path-prefix syntax for stage != 0 and the old syntax for
    stage 0 when building with rustc < 1.26 (see upstream issue #50910)
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 15 May 2018 22:11:40 +0100

rustc (1.25.0+dfsg1+llvm-0ubuntu3) cosmic; urgency=medium

  * Don't Build-Conflict on gdb-minimal
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 16 May 2018 18:02:18 +0100

rustc (1.25.0+dfsg1+llvm-0ubuntu2) cosmic; urgency=medium

  * Update to cosmic

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 16 May 2018 17:51:46 +0100

rustc (1.25.0+dfsg1+llvm-0ubuntu1) bionic; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Don't run dynamic_lib::tests::test_loading_cosine on Aarch64 whilst if
      fails there
      - add debian/patches/u-ignoretest-arm64_02.patch
      - update debian/patches/series
    - Make test failures fatal, except on ppc64el and s390x, as there's nothing
      in the archive yet that requires a working rust on these architectures
      - update debian/rules
    - Only build debuginfo for libstd on i386
      - update debian/rules
    - Ensure the build uses the bundled stage0 rustc when bootstrapping
      - update debian/rules
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh
    - Make RustdocTheme test work on builds where rust.rpath = false
      - add debian/patches/u-fix-rustdoc-theme-test-without-rpath.patch
      - update debian/patches/series
    - Scrub -g from CFLAGS and CXXFLAGS in order to let rustbuild control
      whether LLVM is compiled with debug symbols
      - update debian/rules
    - Build-Depend on libc6-dbg on armhf, to workaround a crash in ld.so
      during some debuginfo tests. This isn't a proper fix and needs further
      investigation
      - update debian/control
    - Ignore test failures on Aarch64. Upstream aren't even running tests on
      this architecture so let's not care about test failures there
      - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 10 Apr 2018 16:12:33 +0100

rustc (1.25.0+dfsg1-2) unstable; urgency=medium

  * Add patches for LLVM's compiler-rt to fix bugs on sparc64 and mips64.
    (Closes: #898982)
  * Install codegen-backends into rustc rather than libstd-rust-dev.
    (Closes: #899087)

 -- Ximin Luo <infinity0@debian.org>  Sat, 19 May 2018 13:10:33 -0700

rustc (1.25.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Allow up to 15 test failures on s390x.
  * Set CARGO_INCREMENTAL=0 on sparc64.

 -- Ximin Luo <infinity0@debian.org>  Fri, 18 May 2018 01:11:15 -0700

rustc (1.25.0+dfsg1-1~exp2) experimental; urgency=medium

  * Install missing codegen-backends.

 -- Ximin Luo <infinity0@debian.org>  Fri, 06 Apr 2018 14:05:36 -0700

rustc (1.25.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update to LLVM 6.0.

 -- Ximin Luo <infinity0@debian.org>  Sun, 01 Apr 2018 15:59:47 +0200

rustc (1.24.1+dfsg1+llvm-0ubuntu1) bionic; urgency=medium

  [ Chris Coulson / Rico Tzschichholz ]
  * Merge from Debian unstable, remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Don't run dynamic_lib::tests::test_loading_cosine on Aarch64 whilst if
      fails there
      - add debian/patches/u-ignoretest-arm64_02.patch
      - update debian/patches/series
    - Make test failures fatal, except on ppc64el and s390x, as there's nothing
      in the archive yet that requires a working rust on these architectures
      - update debian/rules
    - Disable debuginfo when building on 32-bit architectures, as it seems to
      be the only way we can get a successful build
      - update debian/config.toml.in
      - update debian/rules
    - Ensure the build uses the bundled stage0 rustc when bootstrapping
      - update debian/config.toml.in
      - update debian/rules
    - Add a hack to ensure the stage0 compiler is extracted to the correct
      location
      - update debian/make_orig-stage0_tarball.sh

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 16 Mar 2018 02:16:14 +0000

rustc (1.24.1+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Raise allowed-test-failures to 160 on some non-release arches: powerpc,
    powerpcspe, sparc64, x32.

 -- Ximin Luo <infinity0@debian.org>  Wed, 07 Mar 2018 20:07:27 +0100

rustc (1.24.1+dfsg1-1~exp2) experimental; urgency=medium

  * Steal some patches from Fedora to fix some test failures.
  * Update debian/patches/u-make-tests-work-without-rpath.patch to try to fix
    some more test failures.

 -- Ximin Luo <infinity0@debian.org>  Mon, 05 Mar 2018 16:25:26 +0100

rustc (1.24.1+dfsg1-1~exp1) experimental; urgency=medium

  * More sparc64 CABI fixes. (Closes: #888757)
  * New upstream release.
  * Note that s390x baseline was updated in the meantime. (Closes: #851150)
  * Include Debian-specific patch to disable kernel helpers on armel.
    (Closes: #891902)
  * Include missing build-dependencies for pkg.rustc.dlstage0 build profile.
    (Closes: #891022)
  * Add architecture.mk mapping for armel => armv5te-unknown-linux-gnueabi.
    (Closes: #891913)
  * Enable debuginfo-only-std on armel as well. (Closes: #891961)
  * Backport upstream patch to support powerpcspe. (Closes: #891542)
  * Disable full-bootstrap again to work around upstream #48319.

 -- Ximin Luo <infinity0@debian.org>  Sat, 03 Mar 2018 14:23:29 +0100

rustc (1.23.0+dfsg1+llvm-0ubuntu2) bionic; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Don't run dynamic_lib::tests::test_loading_cosine on Aarch64 whilst if
      fails there
      - add debian/patches/u-ignoretest-arm64_02.patch
      - update debian/patches/series
    - Make test failures fatal, except on ppc64el and s390x, as there's nothing
      in the archive yet that requires a working rust on these architectures
      - update debian/rules
    - Disable debuginfo when building on 32-bit architectures, as it seems to
      be the only way we can get a successful build
      - update debian/config.toml.in
      - update debian/rules
    - Update debian/patches/u-make-tests-work-without-rpath.patch to fix some
      test failures
    - Backport an upstream change to make the stack overflow detection work
      with a recent change in glibc 2.27 that moves the stack guard page for
      threads beyond the end of the stack
      - add debian/patches/u-stack-guard-glibc-2.27-fix.patch
      - update debian/patches/series    

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 01 Feb 2018 13:59:02 +0000

rustc (1.23.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Fri, 19 Jan 2018 11:49:31 +0100

rustc (1.23.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update to latest Standards-Version; no changes required.

 -- Ximin Luo <infinity0@debian.org>  Sun, 14 Jan 2018 00:08:17 +0100

rustc (1.22.1+dfsg1+llvm-0ubuntu2) bionic; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - Use the bundled llvm to avoid having to do llvm updates in order to
      deliver rust updates
      - update debian/config.toml.in
      - update debian/control
      - update debian/copyright
      - update debian/rules
    - Fix some test failures that occur because we build rust without an rpath
      - add debian/patches/make-tests-work-without-rpath.patch
      - update debian/patches/series
    - Don't run dynamic_lib::tests::test_loading_cosine on Aarch64 whilst if
      fails there
      - add debian/patches/u-ignoretest-arm64_02.patch
      - update debian/patches/series
    - Make test failures fatal, except on ppc64el and s390x, as there's nothing
      in the archive yet that requires a working rust on these architectures
      - update debian/rules
    - Disable debuginfo when building on 32-bit architectures, as it seems to
      be the only way we can get a successful build
      - update debian/config.toml.in
      - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 29 Nov 2017 16:32:51 +0000

rustc (1.22.1+dfsg1-2) unstable; urgency=medium

  * Fix B-D rustc version so this package can be built using itself.

 -- Ximin Luo <infinity0@debian.org>  Mon, 01 Jan 2018 14:27:19 +0100

rustc (1.22.1+dfsg1-1) unstable; urgency=medium

  [ Ximin Luo ]
  * Remove unimportant files that autoload remote resources from rust-src.
  * Fix more symlinks in rust-doc.
  * On armhf, only generate debuginfo for libstd and not the compiler itself.
    This works around buildds running out of memory, see upstream #45854.
  * Update to latest Standards-Version; no changes required.

  [ Chris Coulson ]
  * Fix some test failures that occur because we build rust without an rpath.

 -- Ximin Luo <infinity0@debian.org>  Mon, 18 Dec 2017 19:46:25 +0100

rustc (1.22.1+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Fix symlink target. (Closes: #877276)

 -- Ximin Luo <infinity0@debian.org>  Sat, 25 Nov 2017 22:29:12 +0100

rustc (1.21.0+dfsg1+llvm-0ubuntu5) bionic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Don't run dynamic_lib::tests::test_loading_cosine on Aarch64 whilst if
      fails there
      - add debian/patches/u-ignoretest-arm64_02.patch
      - update debian/patches/series
    - Make test failures fatal, except on ppc64el and s390x, as there's nothing
      in the archive yet that requires a working rust on these architectures
      - update debian/rules
    - Use the bundled llvm, as target_feature depends on a rust-specific llvm
      API. This also means we have a different tarball to reinclude the llvm
      parts, although we could probably do this with a supplementary tarball
      in future
      - update debian/control
      - update debian/rules
      - update debian/config.toml.in
    - Fix some test failures that occur because we build rust without an rpath
      - add debian/patches/make-tests-work-without-rpath.patch
      - update debian/patches/series
    - Set build.full-bootstrap to true to work-around a runtime link failure
      when we're bootstrapping from the same rust version
      - update debian/config.toml.in

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 26 Oct 2017 18:00:24 +0100

rustc (1.21.0+dfsg1-3) unstable; urgency=medium

  * Add/fix detection for sparc64, thanks to John Paul Adrian Glaubitz.
  * Workaround FTBFS when building docs. (Closes: #880262)

 -- Ximin Luo <infinity0@debian.org>  Mon, 06 Nov 2017 10:03:32 +0100

rustc (1.21.0+dfsg1-2) unstable; urgency=medium

  * Upload to unstable.
  * Fix bootstrapping using 1.21.0, which is more strict about redundant &mut
    previously used in u-output-failed-commands.patch.
  * Only allow up to 5 test failures.

 -- Ximin Luo <infinity0@debian.org>  Wed, 25 Oct 2017 20:27:30 +0200

rustc (1.21.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * Fix the "install" target for cross-compilations; cross-compiling with
    sbuild --host=$foreign-arch should work again.
  * Update to latest Standards-Version; changes:
    - Priority changed to optional from extra.

 -- Ximin Luo <infinity0@debian.org>  Tue, 17 Oct 2017 00:42:54 +0200

rustc (1.20.0+dfsg1-3) unstable; urgency=medium

  * Disable jemalloc to fix FTBFS with 1.21 on armhf.

 -- Ximin Luo <infinity0@debian.org>  Wed, 25 Oct 2017 12:01:19 +0200

rustc (1.20.0+dfsg1-2) unstable; urgency=medium

  * Update changelog entry for 1.20.0+dfsg1-1 to reflect that it was actually
    and accidentally uploaded to unstable. No harm, no foul.
  * We are no longer failing the build when tests fail, see NEWS or
    README.Debian for details.
  * Bump LLVM requirement to fix some failing tests.

 -- Ximin Luo <infinity0@debian.org>  Sat, 21 Oct 2017 14:20:17 +0200

rustc (1.20.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sun, 15 Oct 2017 23:30:35 +0200

rustc (1.20.0+dfsg0-0ubuntu1) artful; urgency=medium

  * Update to 1.20.0
    - update debian/control
    - libstd-rust-1.19.lintian-overrides
      => libstd-rust-1.20.lintian-overrides

  * update debian/copyright
  * Drop patches that are fixed upstream
    - remove debian/patches/u-only-run-linkchecker-if-docs.patch
    - remove debian/patches/u-skip-main-thread-stack-guard.patch
    - remove debian/patches/u-fix-backtrace-build.patch
    - remove debian/patches/u-ignoretest-arm64_02.patch
    - update debian/patches/series
  * Refresh patches
    - update debian/patches/u-ignoretest-ppc64el_03.patch
    - update debian/patches/u-output-failed-commands.patch
    - update debian/patches/u-allow-stable-features.patch
    - update debian/patches/gcc-4.8-aarch64-ice.diff
    - update debian/patches/d-disable-cargo-vendor.patch
    - update debian/patches/d-dont-download-stage0.patch
    - update debian/patches/d-cross-compile-install.patch
    - update debian/patches/d-no-web-dependencies-in-doc.patch
    - update debian/patches/u-fix-unaligned-access-in-lto.patch
  * Don't clean any Cargo.toml.orig files from the source tree
    - update debian/rules
  * Backport change from Debian git to fix prune-unused-deps
  * Bump llvm build-dep to 1:4.0.1-6ubuntu0.17.10.3~ to pick up fixes
    for llvm PR31142, PR32488 and PR32902
    - update debian/control
  * Don't re-run the rustc_llvm build script if LLVM_CONFIG changes, as this
    causes a failure when running the tests. This is a workaround - it needs
    further investigation
    - add debian/patches/dont-rerun-rustc_llvm-build-script-on-LLVM_CONFIG-change.patch
    - update debian/patches/series
  * Don't run dynamic_lib::tests::test_loading_cosine on Aarch64 whilst if
    fails there
    - add debian/patches/u-ignoretest-arm64_02.patch
    - update debian/patches/series
  * Ignore test failures on ppc64el. There's nothing in the archive yet that
    requires a working rust on this architecture
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 11 Oct 2017 19:47:47 +0100

rustc (1.19.0+dfsg3-4) unstable; urgency=medium

  * Bump LLVM requirement to pull in a fix for a FTBFS on ppc64el.

 -- Ximin Luo <infinity0@debian.org>  Sun, 15 Oct 2017 21:31:03 +0200

rustc (1.19.0+dfsg3-3ubuntu1) artful; urgency=medium

  * Merge from Debian, remaining changes:
    - Backport patch to fix unaligned access in LTO on armhf
      + add debian/patches/u-fix-unaligned-access-in-lto.patch
      + update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 11 Oct 2017 14:00:38 +0100

rustc (1.19.0+dfsg3-3) unstable; urgency=medium

  * Fix a trailing whitespace for tidy.

 -- Ximin Luo <infinity0@debian.org>  Tue, 19 Sep 2017 16:09:41 +0200

rustc (1.19.0+dfsg3-2) unstable; urgency=medium

  * Upload to unstable.
  * Add a patch to print extra information when tests fail.

 -- Ximin Luo <infinity0@debian.org>  Tue, 19 Sep 2017 12:32:03 +0200

rustc (1.19.0+dfsg3-1) experimental; urgency=medium

  * New upstream release.
  * Upgrade to LLVM 4.0. (Closes: #873421)
  * rust-src: install Debian patches as well

 -- Ximin Luo <infinity0@debian.org>  Fri, 15 Sep 2017 04:02:09 +0200

rustc (1.18.0+dfsg1-4ubuntu1) artful; urgency=medium

  * Backport patch to fix unaligned access in LTO on armhf
    - add debian/patches/fix-unaligned-access-in-lto.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 15 Aug 2017 14:51:01 +0100

rustc (1.18.0+dfsg1-4) unstable; urgency=medium

  * Support gperf 3.1. (Closes: #869610)

 -- Ximin Luo <infinity0@debian.org>  Tue, 25 Jul 2017 23:19:47 +0200

rustc (1.18.0+dfsg1-3) unstable; urgency=medium

  * Upload to unstable.
  * Disable failing run-make test on armhf.

 -- Ximin Luo <infinity0@debian.org>  Sat, 22 Jul 2017 20:30:25 +0200

rustc (1.18.0+dfsg1-2) experimental; urgency=medium

  * Update to latest Standards-Version; no changes required.
  * Change rustc to Multi-Arch: allowed and update Build-Depends with :native
    annotations. Multi-Arch: foreign is typically for arch-indep packages that
    might need to satisfy dependency chains of different architectures. Also
    update instructions on cross-compiling to match this newer situation.
  * Build debugging symbols for non-libstd parts of rustc.

 -- Ximin Luo <infinity0@debian.org>  Mon, 17 Jul 2017 23:04:03 +0200

rustc (1.18.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Tue, 27 Jun 2017 12:51:22 +0200

rustc (1.17.0+dfsg2-8) unstable; urgency=medium

  * Workaround for linux #865549, fix FTBFS on ppc64el.

 -- Ximin Luo <infinity0@debian.org>  Mon, 17 Jul 2017 13:41:59 +0200

rustc (1.17.0+dfsg2-7) unstable; urgency=medium

  * Show exception traceback in bootstrap.py to examine ppc64el build failure.

 -- Ximin Luo <infinity0@debian.org>  Wed, 21 Jun 2017 10:46:27 +0200

rustc (1.17.0+dfsg2-6) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Wed, 21 Jun 2017 00:24:22 +0200

rustc (1.17.0+dfsg2-5) experimental; urgency=medium

  * More work-arounds for armhf test failures.

 -- Ximin Luo <infinity0@debian.org>  Fri, 16 Jun 2017 13:27:45 +0200

rustc (1.17.0+dfsg2-4) experimental; urgency=medium

  * Fix arch-indep and arch-dep tests.
  * Bump the LLVM requirement to fix FTBFS on armhf.

 -- Ximin Luo <infinity0@debian.org>  Wed, 14 Jun 2017 21:37:16 +0200

rustc (1.17.0+dfsg2-3) experimental; urgency=medium

  * Try to force the real gdb package. Some resolvers like aspcud will select
    gdb-minimal under some circumstances, but this causes the debuginfo-gdb
    tests to break.

 -- Ximin Luo <infinity0@debian.org>  Wed, 14 Jun 2017 00:48:37 +0200

rustc (1.17.0+dfsg2-2) experimental; urgency=medium

  * Support and document cross-compiling of rustc itself.
  * Document cross-compiling other rust packages such as cargo.
  * Work around upstream #39015 by disabling those tests rather than by
    disabling optimisation, which causes FTBFS on 1.17.0 ppc64el. See
    upstream #42476 and #42532 for details.

 -- Ximin Luo <infinity0@debian.org>  Tue, 13 Jun 2017 21:13:31 +0200

rustc (1.17.0+dfsg2-1) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * New upstream release

  [ Ximin Luo ]
  * Adapt packaging for rustbuild, the new upstream cargo-based build system.

  [ Matthijs van Otterdijk ]
  * Add a binary package, rust-src. (Closes: #846177)
  * Link to local Debian web resources in the docs, instead of remote ones.

 -- Ximin Luo <infinity0@debian.org>  Tue, 16 May 2017 18:00:53 +0200

rustc (1.16.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable so we have something to build 1.17 with.
  * Update u-ignoretest-powerpc.patch for 1.16.

 -- Ximin Luo <infinity0@debian.org>  Wed, 19 Apr 2017 22:47:18 +0200

rustc (1.16.0+dfsg1-1~exp2) experimental; urgency=medium

  * Don't ignore test failures on Debian unstable.
  * Re-fix ignoring armhf test, accidentally reverted in previous version.
  * Try to fix buildd failure by swapping B-D alternatives.

 -- Ximin Luo <infinity0@debian.org>  Sun, 16 Apr 2017 15:05:47 +0200

rustc (1.16.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release
  * u-ignoretest-jemalloc.patch removed (applied upstream)

  [ Matthias Klose ]
  * Bootstrap using the rustc version in the archive, on all architectures.
  * Work around a GCC 4.8 ICE on AArch64.
  * Use alternative build dependencies on cmake3 and binutils-2.26 for
    builds on 14.04 LTS (trusty).
  * debian/make_orig*dl_tarball.sh: Include all Ubuntu architectures.
  * debian/rules: Ignore test results for now.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 13 Apr 2017 15:24:03 +0200

rustc (1.15.1+dfsg1-1) unstable; urgency=medium

  * Upload to unstable so we have something to build 1.16 with.
  * Try to fix ignoring atomic-lock-free tests on armhf.

 -- Ximin Luo <infinity0@debian.org>  Wed, 22 Mar 2017 00:13:27 +0100

rustc (1.15.1+dfsg1-1~exp3) experimental; urgency=medium

  * Ignore atomic-lock-free tests on armhf.
  * Update ignoretest-armhf_03.patch for newer 1.15.1 behaviour.
  * Tidy up some other patches to do with ignoring tests.

 -- Ximin Luo <infinity0@debian.org>  Sun, 12 Mar 2017 04:15:33 +0100

rustc (1.15.1+dfsg1-1~exp2) experimental; urgency=medium

  * Update armhf ignoretest patch.
  * Bootstrap armhf. (Closes: #809316, #834003)
  * Bootstrap ppc4el. (Closes: #839643)
  * Fix rust-lldb symlink. (Closes: #850639)

 -- Ximin Luo <infinity0@debian.org>  Thu, 02 Mar 2017 23:01:26 +0100

rustc (1.15.1+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release (won't probably be in stretch).
    see the 1.4 git branch for the follow up for stable
  * Call to the test renamed from check-notidy => check
  * d/p/u-destdir-support.diff: Apply upstream patch to support
    destdir in the make install (for rustbuild, in later versions)
  * Overrides the 'binary-or-shlib-defines-rpath' lintian warnings.
    We need them for now
  * Refresh of the patches

  [ Sven Joachim ]
  * Drop Pre-Depends on multiarch-support. (Closes: #856109)

  [ Erwan Prioul ]
  * Fix test and build failures for ppc64el. (Closes: #839643)

  [ Ximin Luo ]
  * Disable rustbuild for the time being (as it was in 1.14) and instead
    bootstrap two new arches, armhf and ppc64el.
  * Switch back to debhelper 9 to make backporting easier.
  * Switch Build-Depends on binutils-multiarch back to binutils, the former is
    no longer needed by the upstream tests.

  [ Matthias Klose ]
  * Compatibility fixes and improvements to help work better on Ubuntu.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 26 Feb 2017 21:12:27 +0100

rustc (1.14.0+dfsg1-3) unstable; urgency=medium

  * Fix mips64 Makefile patches.
  * Don't run arch-dep tests in a arch-indep build.

 -- Ximin Luo <infinity0@debian.org>  Wed, 04 Jan 2017 21:34:56 +0100

rustc (1.14.0+dfsg1-2) unstable; urgency=medium

  * Update README.Debian, the old one was way out of date.
  * Detect mips CPUs in ./configure and fill in mips Makefile rules.
  * Work around jemalloc-related problems in the upstream bootstrapping
    binaries for arm64, ppc64el, s390x.
  * Disable jemalloc on s390x - upstream already disable it for some other
    arches.
  * Disable jemalloc tests for arches where jemalloc is disabled.
  * We still expect the following failures:
    * arm64 should be fixed (i.e. no failures) compared to the previous upload.
    * armhf will FTBFS due to 'Illegal instruction' and this can only be fixed
      with the next stable rustc release.
    * mips mipsel mips64el ppc64 ppc64el s390x will FTBFS due to yet other
      test failures beyond the ones I fixed above; this upload is only to save
      me manual work in producing nice reports that exhibit these failures.

 -- Ximin Luo <infinity0@debian.org>  Thu, 29 Dec 2016 23:00:47 +0100

rustc (1.14.0+dfsg1-1) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * New upstream release
  * Update debian/watch

  [ Ximin Luo ]
  * Try to bootstrap armhf ppc64 ppc64el s390x mips mipsel mips64el.
    (Closes: #809316, #834003, #839643)
  * Make rust-gdb and rust-lldb arch:all packages.
  * Switch to debhelper 10.

 -- Ximin Luo <infinity0@debian.org>  Sat, 24 Dec 2016 18:03:03 +0100

rustc (1.13.0+dfsg1-2) unstable; urgency=high

  * Skip macro-stepping test on arm64, until
    https://github.com/rust-lang/rust/issues/37225 is resolved.

 -- Luca Bruno <lucab@debian.org>  Sat, 26 Nov 2016 23:40:14 +0000

rustc (1.13.0+dfsg1-1) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * New upstream release.

  [ Ximin Luo ]
  * Use Debian system jquery instead of upstream's embedded copy.

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 11 Nov 2016 13:35:23 +0100

rustc (1.12.1+dfsg1-1) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * New (minor) upstream release
  * Missing dependency from rust-lldb to python-lldb-3.8 (Closes: #841833)
  * Switch to llvm 3.9. (Closes: #841834)

  [ Ximin Luo ]
  * Dynamically apply rust-boot-1.12.1-from-1.12.0.diff.
    This allows us to bootstrap from either 1.11.0 or 1.12.0.
  * Bump LLVM Build-Depends version to get the backported patches for LLVM
    #30402 and #29163.
  * Install debugger_pretty_printers_common to rust-gdb and rust-lldb.
    (Closes: #841835)

 -- Ximin Luo <infinity0@debian.org>  Mon, 07 Nov 2016 14:15:14 +0100

rustc (1.12.0+dfsg1-2) unstable; urgency=medium

  * Ignore test run-make/no-duplicate-libs. Fails on i386
  * Ignore test run-pass-valgrind/down-with-thread-dtors.rs . Fails on arm64
  * I am not switching to llvm 3.9 now because a test freezes. The plan is
    to silent the warning breaking the build and upload 1.12.1 after

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 05 Oct 2016 10:48:01 +0200

rustc (1.12.0+dfsg1-1) unstable; urgency=medium

  * new upstream release
    - Rebase of the patches and removal of deprecated patches

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 29 Sep 2016 20:45:04 +0200

rustc (1.11.0+dfsg1-3) unstable; urgency=medium

  * Fix separate build-arch and build-indep builds.

 -- Ximin Luo <infinity0@debian.org>  Tue, 13 Sep 2016 12:30:41 +0200

rustc (1.11.0+dfsg1-2) unstable; urgency=medium

  * Fix rebuilding against the current version, by backporting a patch I wrote
    that was already applied upstream. Should fix the FTBFS that was observed
    by tests.reproducible-builds.org.
  * Ignore a failing stdcall test on arm64; should fix the FTBFS there.
  * Backport a doctest fix I wrote, already applied upstream.

 -- Ximin Luo <infinity0@debian.org>  Mon, 12 Sep 2016 17:40:12 +0200

rustc (1.11.0+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Add versioned binutils dependency. (Closes: #819475, #823540)

 -- Ximin Luo <infinity0@debian.org>  Wed, 07 Sep 2016 10:31:57 +0200

rustc (1.10.0+dfsg1-3) unstable; urgency=medium

  * Rebuild with LLVM 3.8, same as what upstream are using
  * Dynamically link against LLVM. (Closes: #832565)

 -- Ximin Luo <infinity0@debian.org>  Sat, 30 Jul 2016 22:36:41 +0200

rustc (1.10.0+dfsg1-2) unstable; urgency=medium

  * Tentatively support ARM architectures
  * Include upstream arm64,armel,armhf stage0 compilers (i.e. 1.9.0 stable)
    in a orig-dl tarball, like how we previously did for amd64,i386.

 -- Ximin Luo <infinity0@debian.org>  Fri, 22 Jul 2016 15:54:51 +0200

rustc (1.10.0+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Add myself to uploaders
  * Update our build process to bootstrap from the previous Debian rustc stable
    version by default. See README.Debian for other options.
  * Update to latest Standards-Version; no changes required.

 -- Ximin Luo <infinity0@debian.org>  Sun, 17 Jul 2016 03:40:49 +0200

rustc (1.9.0+dfsg1-1) unstable; urgency=medium

  * New upstream release (Closes: #825752)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 29 May 2016 17:57:38 +0200

rustc (1.8.0+dfsg1-1) unstable; urgency=medium

  * New upstream release

  [ Ximin Luo ]
  * Fix using XZ for the orig tarball: needs explicit --repack in debian/watch
  * Drop wno-error patch; applied upstream.

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 15 Apr 2016 12:01:45 +0200

rustc (1.7.0+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 03 Mar 2016 22:41:24 +0100

rustc (1.6.0+dfsg1-3) unstable; urgency=medium

  * Apply upstream fix to silent a valgrind issue in the test suite
    (Closes: ##812825)
  * Add gcc & libc-dev as dependency of rustc to make sure it works
    out of the box

  [ Ximin Luo ]
  * Work around rust bug https://github.com/rust-lang/rust/issues/31529
  * Enable optional tests, and add verbosity/backtraces to tests
  * Use XZ instead of GZ compression (will apply to the next new upload)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 02 Feb 2016 15:08:11 +0100

rustc (1.6.0+dfsg1-2) unstable; urgency=medium

  * mk/rt.mk: Modify upstream code to append -Wno-error rather than trying
    to remove the string "-Werror".  (Closes: #812448)
  * Disable new gcc-6 "-Wmisleading-indentation" warning, which triggers
    (incorrectly) on src/rt/miniz.c.  (Closes: #811573)
  * Guard arch-dependent dh_install commands appropriately, fixing
    arch-indep-only builds.  (Closes: #809124)

 -- Angus Lees <gus@debian.org>  Tue, 26 Jan 2016 05:40:14 +1100

rustc (1.6.0+dfsg1-1) unstable; urgency=medium

  * new upstream release

  [ Ximin Luo ]
  * Use secure links for Vcs-* fields.

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 22 Jan 2016 10:56:08 +0100

rustc (1.5.0+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - We believe that we should let rust transit to testing
      (Closes: #786836)
  * Move away from hash to the same rust naming schema

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 10 Dec 2015 17:23:32 +0100

rustc (1.4.0+dfsg1-1) unstable; urgency=medium

  * New upstream release
    198068b3 => 1bf6e69c
  * Update the download url in debian/watch

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 30 Oct 2015 09:36:02 +0100

rustc (1.3.0+dfsg1-1) unstable; urgency=medium

  * New upstream release
    62abc69f => 198068b3
  * jquery updated from 2.1.0 to 2.1.4

  [ Ximin Luo ]
  * Use LLVM 3.7 as upstream does, now that it's released. (Closes: #797626)
  * Fix debian/copyright syntax mistakes.
  * Don't Replace/Break previous versions of libstd-rust-*
  * Check that the libstd-rust-* name in d/control matches upstream.
  * Several other minor build tweaks.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 19 Sep 2015 14:39:35 +0200

rustc (1.2.0+dfsg1-1) unstable; urgency=medium

  * New upstream release
    libstd-rust-7d23ff90 => libstd-rust-62abc69f
  * Add llvm-3.6-tools to the build dep as it is
    now needed for tests
  * Fix the Vcs-Browser value

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 08 Aug 2015 23:13:44 +0200

rustc (1.1.0+dfsg1-3) unstable; urgency=medium

  * rust-{gdb,lldb} now Replaces pre-split rustc package.
    Closes: #793433.
  * Several minor lintian cleanups.

 -- Angus Lees <gus@debian.org>  Fri, 24 Jul 2015 17:47:48 +1000

rustc (1.1.0+dfsg1-2) unstable; urgency=medium

  [ Angus Lees ]
  * Replace remote Rust logo with local file in HTML docs.
  * Symlink rust-{gdb,lldb}.1 to {gdb,lldb}.1 manpages.
    Note that gdb.1 requires the gdb-doc package, and that lldb.1 doesn't
    exist yet (see #792908).
  * Restore "Architecture: amd64 i386" filter, mistakenly removed in
    previous version.  Unfortunately the toolchain bootstrap isn't ready
    to support all Debian archs yet.  Closes: #793147.

 -- Angus Lees <gus@debian.org>  Wed, 22 Jul 2015 09:51:08 +1000

rustc (1.1.0+dfsg1-1) unstable; urgency=low

  [ Angus Lees ]
  * Set SONAME when building dylibs
  * Split out libstd-rust, libstd-rust-dev, rust-gdb, rust-lldb from rustc
    - libs are now installed into multiarch-friendly locations
    - rpath is no longer required to use dylibs (but talk to Debian Rust
      maintainers before building a package that depends on the dylibs)
  * Install /usr/share/rustc/architecture.mk, which declares Rust arch
    triples for Debian archs and is intended to help future Rust packaging
    efforts.  Warning: it may not be complete/accurate yet.
  * New upstream release (1.1)

 -- Angus Lees <gus@debian.org>  Thu, 16 Jul 2015 14:23:47 +1000

rustc (1.0.0+dfsg1-1) unstable; urgency=medium

  [ Angus Lees ]
  * New upstream release (1.0!)

  [ Sylvestre Ledru ]
  * Fix the watch file
  * Update of the repack to remove llvm sources

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 16 May 2015 08:24:32 +1000

rustc (1.0.0~beta.4-1~exp1) experimental; urgency=low

  [ Angus Lees ]
  * New upstream release (beta 3)
    - Drop manpage patch - now included upstream
  * Replace duplicated compile-time dylibs with symlinks to run-time libs
    (reduces installed size by ~68MB)

  [ Sylvestre Ledru ]
  * New upstream release (beta 4)
  * Replace two more occurrences of jquery by the package
  * Repack upstream to remove an LLVM file with a non-DFSG license

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 06 May 2015 11:14:30 +0200

rustc (1.0.0~alpha.2-1~exp1) experimental; urgency=low

  [ Angus Lees ]
  * Patch upstream manpages to address minor troff issues
  * Make 'debian/rules clean' also clean LLVM source
  * Rename primary 'rust' binary package to 'rustc'
  * Fix potential FTBFS: rust-doc requires texlive-fonts-recommended (for
    pzdr.tfm)
  * Build against system LLVM

  [ Sylvestre Ledru ]
  * New testing release
  * Renaming of the source package
  * Set a minimal version for dpkg-dev and debhelper (for profiles)
  * For now, disable build profiles as they are not supported in Debian
  * Introduce some changes by Angus Lees
    - Introduction of build stages
    - Disable the parallel execution of tests
    - Improving of the parallel syntax
    - Use override_dh_auto_build-arch
    - Use override_dh_auto_build-indep
    - Better declarations of the doc
    - Update of the description
    - Watch file updated (with key check)

  [ Luca Bruno ]
  * rules: respect 'nocheck' DEB_BUILD_OPTIONS

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 07 Mar 2015 09:25:47 +0100

rust (1.0.0~alpha-0~exp1) experimental; urgency=low

  * Initial package (Closes: #689207)
    Work done by Luca Bruno, Jordan Justen and Sylvestre Ledru

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 23 Jan 2015 15:47:37 +0100
